(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[    134028,       2978]
NotebookOptionsPosition[    132851,       2943]
NotebookOutlinePosition[    133184,       2958]
CellTagsIndexPosition[    133141,       2955]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"**", "**", " ", 
     RowBox[{"(", "1", ")"}]}], " ", "AUXILIARY", " ", "FUNCTIONS"}], " ", 
   "*****)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Pattern", " ", "matches", " ", "any", " ", "generator", " ", "e_i", " ", 
    "at", " ", "any", " ", "power", " ", "\[IndentingNewLine]", 
    RowBox[{"ATTENTION", ":", " ", 
     RowBox[{"always", " ", "use", " ", "levelspec", " ", "1"}]}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ePat", " ", ":=", " ", 
     RowBox[{
      SubscriptBox["e", 
       RowBox[{"_Integer", ",", "_Integer"}]], " ", "|", 
      RowBox[{
       SubscriptBox["e", 
        RowBox[{"_Integer", ",", "_Integer"}]], " ", "^", "_Integer"}]}]}], 
    ";"}], " ", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Checks", " ", "if", " ", "the", " ", "word", " ", "contains", " ", "any",
      " ", "t_i", " ", "generator"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"HasE", "[", "w_", "]"}], ":=", 
     RowBox[{"MatchQ", "[", 
      RowBox[{"w", ",", " ", 
       RowBox[{"{", 
        RowBox[{"___", ",", "ePat", ",", "___"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Gets", " ", "the", " ", "index", " ", "of", " ", "the", " ", "exponent", 
     " ", "of", " ", "a", " ", "generator"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"GetIndex", "[", 
      RowBox[{"Subscript", "[", 
       RowBox[{"_", ",", "i_Integer"}], "]"}], "]"}], ":=", " ", "i"}], ";"}],
    "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"GetIndex", "[", 
      RowBox[{"Power", "[", 
       RowBox[{
        RowBox[{"Subscript", "[", 
         RowBox[{"_", ",", "i_Integer"}], "]"}], ",", "_"}], "]"}], "]"}], ":=",
      " ", "i"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"GetPower", "[", 
      RowBox[{"Subscript", "[", 
       RowBox[{"_", ",", "_"}], "]"}], "]"}], ":=", " ", "1"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"GetPower", "[", 
      RowBox[{"Power", "[", 
       RowBox[{
        RowBox[{"Subscript", "[", 
         RowBox[{"_", ",", "_"}], "]"}], ",", "m_Integer"}], "]"}], "]"}], ":=",
      " ", "m"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"GetIndex1", "[", 
      RowBox[{"Subscript", "[", 
       RowBox[{"_", ",", "i_Integer", ",", "j_Integer"}], "]"}], "]"}], ":=", 
     " ", "i"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"GetIndex2", "[", 
      RowBox[{"Subscript", "[", 
       RowBox[{"_", ",", "i_Integer", ",", "j_Integer"}], "]"}], "]"}], ":=", 
     " ", "j"}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"Defining", " ", 
      RowBox[{"patterns", ".", " ", 
       RowBox[{"ATTENTION", ":", " ", 
        RowBox[{
        "when", " ", "using", " ", "these", " ", "patterns", " ", "always", 
         " ", "use", " ", "levelspec"}]}]}]}], " ", "=", " ", 
     RowBox[{
     "1", " ", "so", " ", "that", " ", "it", " ", "does", " ", "not", " ", 
      "find", " ", "g_i", " ", "into", " ", 
      RowBox[{"g_i", "^", "m"}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Pattern", " ", "matches", " ", "any", " ", "generator", " ", "g_i", " ", 
     "at", " ", "any", " ", "power"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"gPat", " ", ":=", " ", 
     RowBox[{
      SubscriptBox["g", "_Integer"], " ", "|", 
      RowBox[{
       SubscriptBox["g", "_Integer"], " ", "^", "_Integer"}]}]}], ";"}], " ", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Finds", " ", "the", " ", "first", " ", "occurence", " ", "of", " ", 
     "g_i"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"FirstG", "[", "w_", "]"}], " ", ":=", " ", 
     RowBox[{
      RowBox[{"Flatten", "[", 
       RowBox[{"Position", "[", 
        RowBox[{"w", ",", "gPat", ",", "1"}], "]"}], "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Finds", " ", "the", " ", "first", " ", "occurence", " ", "of", " ", 
     "e_i", " ", 
     RowBox[{"(", 
      RowBox[{"ignoring", " ", "the", " ", 
       RowBox[{"t_i", "'"}], "s", " ", "at", " ", "the", " ", "beginning", 
       " ", "of", " ", "the", " ", "word"}], " "}]}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"FirstEAfterG", "[", "w_", "]"}], " ", ":=", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"Select", "[", 
        RowBox[{
         RowBox[{"Flatten", "[", 
          RowBox[{"Position", "[", 
           RowBox[{"w", ",", "ePat", ",", "1"}], "]"}], "]"}], ",", " ", 
         RowBox[{
          RowBox[{"#", " ", ">", " ", 
           RowBox[{"FirstG", "[", "w", "]"}]}], " ", "&"}]}], "]"}], ")"}], 
      "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
      "Finds", " ", "the", " ", "last", " ", "occurence", " ", "of", " ", 
       "e_i", " ", "with", " ", "exp"}], " ", "\[NotEqual]", " ", "1"}], ",", 
     
     RowBox[{"-", "1"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"LastEExp", "[", "w_", "]"}], " ", ":=", " ", 
     RowBox[{"Last", "[", 
      RowBox[{"Flatten", "[", 
       RowBox[{"Position", "[", 
        RowBox[{"w", ",", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            SubscriptBox["e", 
             RowBox[{"_Integer", ",", "_Integer"}]], ")"}], "^", 
           "p_Integer"}], " ", "/;", " ", 
          RowBox[{
           RowBox[{"Abs", "[", "p", "]"}], "\[NotEqual]", " ", "1"}]}], ",", 
         "1"}], "]"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"HasEExp", "[", "w_", "]"}], ":=", 
     RowBox[{"MatchQ", "[", 
      RowBox[{"w", ",", " ", 
       RowBox[{"{", 
        RowBox[{"___", ",", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            SubscriptBox["e", 
             RowBox[{"_Integer", ",", "_Integer"}]], ")"}], "^", 
           "p_Integer"}], " ", "/;", " ", 
          RowBox[{
           RowBox[{"Abs", "[", "p", "]"}], "\[NotEqual]", " ", "1"}]}], ",", 
         "___"}], "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Finds", " ", "the", " ", "last", " ", "occurence", " ", "of", " ", 
     RowBox[{"t", "'"}], "_i"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"LastE", "[", "w_", "]"}], " ", ":=", " ", 
     RowBox[{"Last", "[", 
      RowBox[{"Flatten", "[", 
       RowBox[{"Position", "[", 
        RowBox[{"w", ",", "ePat", ",", "1"}], "]"}], "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Checks", " ", "if", " ", "the", " ", "word", " ", "contains", " ", 
     "only", " ", 
     RowBox[{"g_i", "'"}], "s"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"HasOnlyG", "[", "w_", "]"}], ":=", 
     RowBox[{"MatchQ", "[", 
      RowBox[{"w", ",", 
       RowBox[{"{", 
        RowBox[{"gPat", "..."}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"Checks", " ", "if", " ", "all", " ", 
     RowBox[{"e_i", "'"}], "s", " ", "are", " ", "at", " ", "the", " ", 
     "beginning", " ", "of", " ", "the", " ", "word", " ", 
     "\[IndentingNewLine]", "tPrime", " ", "is", " ", "boolean"}], " ", 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"IsSplit", "[", "w_", "]"}], ":=", 
     RowBox[{"MatchQ", "[", 
      RowBox[{"w", ",", " ", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"(", "ePat", ")"}], "..."}], ",", 
         RowBox[{"gPat", "..."}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"IsSplitP", "[", "L_", "]"}], ":=", 
     RowBox[{"IsSplit", "[", 
      RowBox[{"L", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"Searches", " ", "between", " ", "m", " ", "and", " ", "n"}], 
     "-", 
     RowBox[{"1", " ", "for", " ", "g_i", " ", "or", " ", "g_i"}], "+", "1"}],
     " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"SearchG", "[", 
      RowBox[{"w_", ",", " ", 
       RowBox[{"m_Integer", "/;", " ", 
        RowBox[{"m", ">", "0"}]}], ",", " ", 
       RowBox[{"n_Integer", "/;", " ", 
        RowBox[{"n", ">", "0"}]}]}], "]"}], ":=", " ", 
     RowBox[{"Flatten", "[", 
      RowBox[{
       RowBox[{"Position", "[", 
        RowBox[{
         RowBox[{"Take", "[", 
          RowBox[{"w", ",", 
           RowBox[{"{", 
            RowBox[{"m", ",", 
             RowBox[{"n", "-", "1"}]}], "}"}]}], "]"}], ",", "gPat", ",", 
         "1"}], "]"}], "+", "m", " ", "-", "1"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"SearchE", "[", "w_", "]"}], ":=", " ", 
     RowBox[{"Flatten", "[", 
      RowBox[{"Position", "[", 
       RowBox[{"w", ",", "ePat", ",", "1"}], "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"g_i", " ", "g_i"}], "-", "1"}], " ", "..."}], " ", "g_", 
       "2", " ", "g_", 
       RowBox[{"1", "^", "2"}], " ", "g_", "2"}], " ", "..."}], " ", "g_i"}], 
    " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"BridgeBasis", "[", 
      RowBox[{"i_Integer", ",", 
       RowBox[{"pow_Integer:", "1"}]}], "]"}], ":=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"Join", "[", 
        RowBox[{
         RowBox[{"Table", "[", 
          RowBox[{
           SubscriptBox["g", "k"], ",", " ", 
           RowBox[{"{", 
            RowBox[{"k", ",", "i", ",", "2", ",", 
             RowBox[{"-", "1"}]}], "}"}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["g", "1"], "^", "2"}], "}"}], ",", "\n", "\t\t", 
         RowBox[{"Table", "[", 
          RowBox[{
           SubscriptBox["g", "k"], ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "2", ",", "i"}], "}"}]}], "]"}]}], "]"}], "^", 
       "pow"}], "/;", " ", 
      RowBox[{"i", ">", "0"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"BridgeBasis", "[", 
      RowBox[{"0", ",", "_"}], "]"}], ":=", 
     RowBox[{"{", "}"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"BridgeInv", "[", 
      RowBox[{"i_Integer", ",", " ", "j_Integer"}], "]"}], ":=", " ", 
     RowBox[{
      RowBox[{"Join", "[", 
       RowBox[{
        RowBox[{"Table", "[", 
         RowBox[{
          SubscriptBox["g", "k"], ",", " ", 
          RowBox[{"{", 
           RowBox[{"k", ",", "i", ",", 
            RowBox[{"j", "+", "1"}], ",", 
            RowBox[{"-", "1"}]}], "}"}]}], "]"}], ",", "\n", "\t\t", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{
           SubscriptBox["g", "k"], "^", 
           RowBox[{"(", 
            RowBox[{"-", "1"}], ")"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", 
            RowBox[{"j", "+", "2"}], ",", "i"}], "}"}]}], "]"}]}], "]"}], "/;",
       " ", 
      RowBox[{
       RowBox[{"i", "-", "j"}], ">", "0"}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"BridgeInv", "[", 
      RowBox[{"i_Integer", ",", " ", "j_Integer"}], "]"}], " ", ":=", " ", 
     RowBox[{
      RowBox[{"{", "}"}], " ", "/;", " ", 
      RowBox[{
       RowBox[{"i", "-", "j"}], "<=", "0"}]}]}], " ", ";"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.6157270743590927`*^9, 3.615727084679494*^9}, {
   3.6157271147667007`*^9, 3.6157271434819937`*^9}, {3.615727242867012*^9, 
   3.6157272432038794`*^9}, 3.6157273620229073`*^9, {3.615727674135269*^9, 
   3.615727686497807*^9}, 3.6157315283500233`*^9, 3.615731605478598*^9, {
   3.616490610029187*^9, 3.616490620681933*^9}, 3.616494691239942*^9, {
   3.6240031628695183`*^9, 3.624003284676442*^9}, {3.624011602777092*^9, 
   3.624011658681541*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"**", "**", " ", 
     RowBox[{"(", "3", ")"}]}], " ", 
    RowBox[{"QUADRATIC", " ", "/", " ", "INVERSE"}], " ", "RELATIONS", " ", 
    "SECTION"}], " ", "*****)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Quadratic", "[", "L_", "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "pos", ",", "Lnew1", ",", "Lnew2", ",", "Lnew3", ",", "newList", ",", 
        "ind", ",", "exp"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"NeedsQuadratic", "[", 
          RowBox[{"L", "[", 
           RowBox[{"[", "2", "]"}], "]"}], "]"}], "\[Equal]", "False"}], ",", 
        
        RowBox[{"{", "L", "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"pos", "=", 
          RowBox[{
           RowBox[{"PosQuadratic", "[", 
            RowBox[{"L", "[", 
             RowBox[{"[", "2", "]"}], "]"}], "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"Lnew1", " ", "=", " ", "L"}], ";", "\[IndentingNewLine]", 
         RowBox[{"Lnew2", "=", "L"}], ";", "\[IndentingNewLine]", 
         RowBox[{"Lnew3", "=", "L"}], ";", "\[IndentingNewLine]", 
         RowBox[{"ind", " ", "=", " ", 
          RowBox[{"GetIndex", "[", 
           RowBox[{
            RowBox[{"L", "[", 
             RowBox[{"[", "2", "]"}], "]"}], "[", 
            RowBox[{"[", "pos", "]"}], "]"}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"exp", " ", "=", " ", 
          RowBox[{"GetPower", "[", 
           RowBox[{
            RowBox[{"L", "[", 
             RowBox[{"[", "2", "]"}], "]"}], "[", 
            RowBox[{"[", "pos", "]"}], "]"}], "]"}]}], ";", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Lnew1", "[", 
           RowBox[{"[", "2", "]"}], "]"}], "=", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Mod", "[", 
              RowBox[{"exp", ",", "2"}], "]"}], "\[Equal]", "0"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Delete", "[", 
             RowBox[{
              RowBox[{"Lnew1", "[", 
               RowBox[{"[", "2", "]"}], "]"}], ",", "pos"}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"ReplacePart", "[", 
             RowBox[{
              RowBox[{"Lnew1", "[", 
               RowBox[{"[", "2", "]"}], "]"}], ",", 
              RowBox[{"pos", "\[Rule]", " ", 
               SubscriptBox["g", "ind"]}]}], "]"}]}], "]"}]}], ";", 
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"newList", " ", "=", 
          RowBox[{"{", "Lnew1", "}"}]}], ";", "\[IndentingNewLine]", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"exp", "<", 
             RowBox[{"-", "1"}]}], " ", "||", " ", 
            RowBox[{"exp", " ", ">", " ", "1"}]}], ",", "\[IndentingNewLine]", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"Lnew2", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "*=", 
              RowBox[{"QuadCoeffEG", "[", "exp", "]"}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"Lnew2", "[", 
               RowBox[{"[", "2", "]"}], "]"}], " ", "=", 
              RowBox[{"Flatten", "[", 
               RowBox[{"ReplacePart", "[", 
                RowBox[{
                 RowBox[{"Lnew2", "[", 
                  RowBox[{"[", "2", "]"}], "]"}], ",", 
                 RowBox[{"pos", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{
                    SubscriptBox["e", 
                    RowBox[{"ind", ",", 
                    RowBox[{"ind", "+", "1"}]}]], ",", 
                    SubscriptBox["g", "ind"]}], "}"}]}]}], "]"}], "]"}]}], 
             ";", "\[IndentingNewLine]", 
             RowBox[{"newList", "=", 
              RowBox[{"Append", "[", 
               RowBox[{"newList", ",", "Lnew2"}], "]"}]}]}], ")"}]}], "]"}], 
         ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"exp", "<", "0"}], "||", " ", 
            RowBox[{"exp", ">", "2"}]}], ",", "\[IndentingNewLine]", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"Lnew3", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "*=", 
              RowBox[{"QuadCoeffE", "[", "exp", "]"}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"Lnew3", "[", 
               RowBox[{"[", "2", "]"}], "]"}], " ", "=", 
              RowBox[{"ReplacePart", "[", 
               RowBox[{
                RowBox[{"Lnew3", "[", 
                 RowBox[{"[", "2", "]"}], "]"}], ",", 
                RowBox[{"pos", "\[Rule]", 
                 SubscriptBox["e", 
                  RowBox[{"ind", ",", 
                   RowBox[{"ind", "+", "1"}]}]]}]}], " ", "]"}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{"newList", "=", 
              RowBox[{"Append", "[", 
               RowBox[{"newList", ",", "Lnew3"}], "]"}]}]}], ")"}]}], "]"}], 
         ";", "\[IndentingNewLine]", 
         RowBox[{"Flatten", "[", 
          RowBox[{
           RowBox[{"Quadratic", " ", "/@", "newList"}], ",", "1"}], "]"}]}]}],
        "\[IndentingNewLine]", "]"}]}], "]"}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.59507853867803*^9, 3.595078540300021*^9}, {
   3.595078645995419*^9, 3.59507865040364*^9}, {3.595078697066801*^9, 
   3.595078727146574*^9}, {3.59507875803512*^9, 3.595078778283352*^9}, {
   3.595078818147003*^9, 3.595078823138818*^9}, {3.5950791683049507`*^9, 
   3.5950791706168203`*^9}, {3.5950849133626547`*^9, 3.595085000018556*^9}, {
   3.595085234409884*^9, 3.5950852463548603`*^9}, {3.595086536600065*^9, 
   3.595086570968*^9}, {3.595086605417469*^9, 3.5950866078532877`*^9}, {
   3.595086639362783*^9, 3.59508671935503*^9}, {3.595086894582671*^9, 
   3.595086900766262*^9}, {3.59508778447987*^9, 3.5950878128163147`*^9}, {
   3.595087853159832*^9, 3.595087892262765*^9}, {3.595088147592873*^9, 
   3.5950881682542677`*^9}, {3.595088205296517*^9, 3.595088313245503*^9}, {
   3.5950887418120747`*^9, 3.595088755620369*^9}, {3.595088808613305*^9, 
   3.5950888510980186`*^9}, {3.595088886178237*^9, 3.595088905850461*^9}, {
   3.5950889376451073`*^9, 3.595089009881366*^9}, {3.595089081522171*^9, 
   3.595089201667039*^9}, {3.595089251650762*^9, 3.595089302577634*^9}, {
   3.59508937558755*^9, 3.5950894403544703`*^9}, {3.595089491537552*^9, 
   3.5950895674727173`*^9}, {3.595089607889462*^9, 3.595089628208151*^9}, {
   3.595089746081091*^9, 3.59508976937383*^9}, {3.595089802772892*^9, 
   3.595089838915143*^9}, 3.5950898722826157`*^9, {3.595089918677268*^9, 
   3.5950899213306417`*^9}, {3.595090009675437*^9, 3.595090078124659*^9}, {
   3.595090138486395*^9, 3.595090164181896*^9}, {3.5950902519449368`*^9, 
   3.595090262150756*^9}, {3.5950903283517523`*^9, 3.5950904212922688`*^9}, {
   3.595090471186095*^9, 3.59509065901585*^9}, {3.595090696558107*^9, 
   3.5950907431968613`*^9}, {3.595232797970334*^9, 3.595232840257362*^9}, {
   3.595232907934236*^9, 3.595232933365245*^9}, {3.595233041197743*^9, 
   3.595233045341364*^9}, {3.595233103311561*^9, 3.595233126317223*^9}, {
   3.595233190842843*^9, 3.595233237168516*^9}, {3.595233351899951*^9, 
   3.5952333570656843`*^9}, {3.595233478284947*^9, 3.595233490668696*^9}, {
   3.59523365118029*^9, 3.59523365567673*^9}, {3.5952337862570457`*^9, 
   3.595233804961049*^9}, {3.5952338485626297`*^9, 3.595233851152567*^9}, {
   3.595233892236011*^9, 3.595233894923374*^9}, {3.595234570789029*^9, 
   3.5952347164231987`*^9}, {3.5952347619102983`*^9, 3.595234873715423*^9}, {
   3.595236014973927*^9, 3.595236020859693*^9}, {3.595236109407865*^9, 
   3.595236118221051*^9}, {3.5952362106237698`*^9, 3.5952362386677637`*^9}, {
   3.595236374303426*^9, 3.595236421226746*^9}, {3.5952365975338163`*^9, 
   3.595236784942923*^9}, {3.595236815082369*^9, 3.595236828073929*^9}, {
   3.595236929692452*^9, 3.595236930250801*^9}, {3.595238881627187*^9, 
   3.595238936591008*^9}, {3.595243636863316*^9, 3.595243655998907*^9}, {
   3.595243687562718*^9, 3.595243692934514*^9}, {3.595244338230568*^9, 
   3.595244341124895*^9}, 3.59524604338415*^9, {3.599486798361726*^9, 
   3.5994868023894043`*^9}, 3.599487427703664*^9, 3.599487564063752*^9, {
   3.599488053787874*^9, 3.5994880571202793`*^9}, {3.599488841154386*^9, 
   3.599488842387841*^9}, 3.599536292047415*^9, {3.59955835478448*^9, 
   3.59955835700869*^9}, 3.5995588331871758`*^9, {3.6030285132162333`*^9, 
   3.603028522539721*^9}, {3.60302855773202*^9, 3.603028565902486*^9}, {
   3.603028768552443*^9, 3.603028768927025*^9}, {3.6030289272999887`*^9, 
   3.603028927345964*^9}, {3.6030308161016912`*^9, 3.603030820360504*^9}, 
   3.615727706541915*^9, {3.61573110825613*^9, 3.615731176472682*^9}, 
   3.61573153285231*^9, {3.615732456464839*^9, 3.6157324642168217`*^9}, {
   3.624003407734974*^9, 3.62400340819202*^9}, {3.624012408077389*^9, 
   3.624012411854961*^9}, {3.6240125898873243`*^9, 3.62401261660497*^9}, {
   3.624012680164425*^9, 3.624012726356534*^9}, {3.624013189070949*^9, 
   3.624013189314581*^9}, {3.6240132376533012`*^9, 3.624013246091029*^9}, {
   3.6240133221872997`*^9, 3.624013335287942*^9}, {3.62401351600362*^9, 
   3.624013589776972*^9}, {3.624013669153159*^9, 3.624013669306046*^9}, {
   3.624013705099813*^9, 3.624013832295824*^9}, {3.624013891050109*^9, 
   3.624013925926284*^9}, {3.62401395992089*^9, 3.624014054913056*^9}, 
   3.624014108192892*^9, {3.6240145675002737`*^9, 3.624014615201165*^9}, 
   3.624014765220582*^9, 3.6240148236266108`*^9, {3.624014903806654*^9, 
   3.624014913065997*^9}, 3.624015004071205*^9, 3.624015094088827*^9, {
   3.6240151275210743`*^9, 3.6240151697830153`*^9}, {3.624015278633601*^9, 
   3.624015278958767*^9}, {3.6240153649014482`*^9, 3.624015425048188*^9}, {
   3.6240158130126343`*^9, 3.624015834064827*^9}, {3.62401604346393*^9, 
   3.6240160831932*^9}, {3.62401612468466*^9, 3.624016583243587*^9}, {
   3.624016625712634*^9, 3.6240167367502403`*^9}, {3.6240176711668158`*^9, 
   3.624017683731591*^9}, {3.6240177321815233`*^9, 3.6240177324659357`*^9}, {
   3.631963195405637*^9, 3.631963203638331*^9}, {3.631963237243432*^9, 
   3.631963276835688*^9}, {3.631963363534745*^9, 3.631963365413422*^9}, {
   3.633690134680951*^9, 3.6336901728987513`*^9}, {3.633690278739287*^9, 
   3.633690282084918*^9}, {3.633690496547814*^9, 3.63369051881777*^9}, {
   3.6336905782715178`*^9, 3.633690579800561*^9}, {3.633691149273398*^9, 
   3.633691336577491*^9}, {3.633691446598262*^9, 3.6336914873959208`*^9}, {
   3.633691567046146*^9, 3.633691656178114*^9}, {3.633691716570507*^9, 
   3.633691775704468*^9}, {3.633692476623145*^9, 3.6336925013890953`*^9}, {
   3.6336925450672703`*^9, 3.6336925762818604`*^9}, {3.633692781127747*^9, 
   3.633692837755877*^9}, {3.634060281057032*^9, 3.63406028675537*^9}, {
   3.6340627622831383`*^9, 3.634062769311143*^9}, {3.634381357962347*^9, 
   3.634381358177814*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "Checks", " ", "if", " ", "there", " ", "are", " ", "g", " ", "with", " ", 
    "exponents", " ", "in", " ", "the", " ", "word"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"NeedsQuadratic", "[", "L_", "]"}], ":=", 
     RowBox[{"MatchQ", "[", 
      RowBox[{"L", ",", 
       RowBox[{"{", 
        RowBox[{"___", ",", 
         SuperscriptBox[
          SubscriptBox["g", "_Integer"], "_Integer"], ",", "___"}], "}"}]}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Wrapper", " ", "for", " ", "NeedsQuadratic", " ", "applied", " ", "on", 
     " ", "a", " ", 
     RowBox[{"{", 
      RowBox[{"poly", ",", " ", "word"}], "}"}], " ", "pair"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"NeedsQuadraticP", "[", "L_", "]"}], ":=", 
     RowBox[{"NeedsQuadratic", "[", 
      RowBox[{"L", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   
   RowBox[{"(*", " ", 
    RowBox[{
    "Returns", " ", "the", " ", "positions", " ", "of", " ", "g", " ", "with",
      " ", "exponents", " ", "in", " ", "the", " ", "word"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"PosQuadratic", "[", "L_", "]"}], ":=", 
     RowBox[{"Flatten", "[", 
      RowBox[{"Position", "[", 
       RowBox[{"L", ",", 
        SuperscriptBox[
         SubscriptBox["g", "_Integer"], "_Integer"]}], "]"}], "]"}]}], 
    ";"}]}]}]], "Input",
 CellChangeTimes->{{3.595079125814054*^9, 3.595079144632325*^9}, {
   3.5950793504387903`*^9, 3.595079500078206*^9}, {3.595079533638864*^9, 
   3.5950796176613293`*^9}, 3.5950801336580153`*^9, {3.595080588535679*^9, 
   3.595080711160644*^9}, {3.5950897853228617`*^9, 3.595089788689226*^9}, {
   3.5952341247689734`*^9, 3.595234168945066*^9}, {3.595239679753915*^9, 
   3.5952396853368607`*^9}, {3.599487568038622*^9, 3.599487632066217*^9}, {
   3.59948825522792*^9, 3.599488255838471*^9}, {3.5994882928722963`*^9, 
   3.599488298681601*^9}, {3.599559035457131*^9, 3.599559063583911*^9}, {
   3.599559446144759*^9, 3.599559499247697*^9}, {3.615730875252048*^9, 
   3.615730878075165*^9}, {3.6243733429797897`*^9, 3.624373344488791*^9}, {
   3.6243733886704817`*^9, 3.624373471846384*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Functions", " ", "generating", " ", "the", " ", "coefficient", " ", 
     "for", " ", 
     RowBox[{"g_i", "^", "m"}], " ", "via", " ", "the", " ", "quadratic", " ",
      "relation", " ", "\[IndentingNewLine]", 
     RowBox[{"Note", ":", " ", 
      RowBox[{
      "the", " ", "functions", " ", "use", " ", "the", " ", "idiom", " ", 
       RowBox[{"f", "[", "x_", "]"}]}]}]}], " ", ":=", " ", 
    RowBox[{
     RowBox[{"f", "[", "x", "]"}], " ", "=", " ", 
     RowBox[{
     "...", " ", "in", " ", "order", " ", "not", " ", "to", " ", 
      "recalculate", " ", "the", " ", "same", " ", "things", " ", "all", " ", 
      "over", " ", "again"}]}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"QuadCoeffEG", "[", 
      RowBox[{"m_Integer", "/;", 
       RowBox[{
        RowBox[{"Mod", "[", 
         RowBox[{"m", ",", "2"}], "]"}], "\[Equal]", " ", "0"}]}], "]"}], ":=", 
     RowBox[{
      RowBox[{"QuadCoeffEG", "[", "m", "]"}], "=", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"q", "^", "m"}], "-", 
         RowBox[{"q", "^", 
          RowBox[{"(", 
           RowBox[{"-", "m"}], ")"}]}]}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{"q", "+", 
         RowBox[{"q", "^", 
          RowBox[{"(", 
           RowBox[{"-", "1"}], ")"}]}]}], ")"}]}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"QuadCoeffEG", "[", 
      RowBox[{"m_Integer", "/;", 
       RowBox[{
        RowBox[{"Mod", "[", 
         RowBox[{"m", ",", "2"}], "]"}], "\[Equal]", " ", "1"}]}], "]"}], ":=", 
     RowBox[{
      RowBox[{"QuadCoeffEG", "[", "m", "]"}], "=", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"q", "^", "m"}], "+", 
          RowBox[{"q", "^", 
           RowBox[{"(", 
            RowBox[{"-", "m"}], ")"}]}]}], ")"}], "/", 
        RowBox[{"(", 
         RowBox[{"q", "+", 
          RowBox[{"q", "^", 
           RowBox[{"(", 
            RowBox[{"-", "1"}], ")"}]}]}], ")"}]}], "-", "1"}]}]}], 
    ";"}]}]}]], "Input",
 CellChangeTimes->{
  3.595079618843424*^9, {3.5950797616915493`*^9, 3.595079957941226*^9}, {
   3.595079988421527*^9, 3.595080004861274*^9}, {3.595080078756775*^9, 
   3.595080126188672*^9}, {3.5950801782611637`*^9, 3.595080200677239*^9}, {
   3.5950802627484913`*^9, 3.595080296644033*^9}, {3.595080625335059*^9, 
   3.595080635097114*^9}, {3.595080926684292*^9, 3.595080957787554*^9}, {
   3.5950812352489443`*^9, 3.5950812900626583`*^9}, {3.595081359425984*^9, 
   3.595081507446622*^9}, {3.595081538455104*^9, 3.595081614182616*^9}, {
   3.595081765576005*^9, 3.595081778131782*^9}, {3.595081823654888*^9, 
   3.595081864131621*^9}, {3.5950854727367353`*^9, 3.5950855316836967`*^9}, {
   3.595085589576488*^9, 3.5950856240572643`*^9}, {3.5950856809034433`*^9, 
   3.595085735467637*^9}, {3.5995361662200747`*^9, 3.5995361689250517`*^9}, {
   3.624012074070677*^9, 3.624012125196837*^9}, {3.62401283318475*^9, 
   3.624012915843752*^9}, {3.6240129596472178`*^9, 3.624012962640149*^9}, {
   3.6336903211385193`*^9, 3.633690369841572*^9}, {3.633690402318761*^9, 
   3.633690415856448*^9}, {3.633690585114408*^9, 3.633690618146002*^9}, {
   3.633690723654264*^9, 3.6336907239740467`*^9}, {3.634627460908044*^9, 
   3.6346274679604673`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"QuadCoeffE", "[", 
    RowBox[{"m_Integer", "/;", 
     RowBox[{
      RowBox[{"Mod", "[", 
       RowBox[{"m", ",", "2"}], "]"}], "\[Equal]", " ", "0"}]}], "]"}], ":=", 
   
   RowBox[{
    RowBox[{"QuadCoeffE", "[", "m", "]"}], "=", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"q", "^", 
         RowBox[{"(", 
          RowBox[{"m", "-", "1"}], ")"}]}], "+", 
        RowBox[{"q", "^", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "m"}], "+", "1"}], ")"}]}]}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{"q", "+", 
        RowBox[{"q", "^", 
         RowBox[{"(", 
          RowBox[{"-", "1"}], ")"}]}]}], ")"}]}], "-", "1"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"QuadCoeffE", "[", 
    RowBox[{"m_Integer", "/;", 
     RowBox[{
      RowBox[{"Mod", "[", 
       RowBox[{"m", ",", "2"}], "]"}], "\[Equal]", " ", "1"}]}], "]"}], ":=", 
   
   RowBox[{
    RowBox[{"QuadCoeffE", "[", "m", "]"}], "=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"q", "^", 
        RowBox[{"(", 
         RowBox[{"m", "-", "1"}], ")"}]}], "-", 
       RowBox[{"q", "^", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "m"}], "+", "1"}], ")"}]}]}], ")"}], "/", 
     RowBox[{"(", 
      RowBox[{"q", "+", 
       RowBox[{"q", "^", 
        RowBox[{"(", 
         RowBox[{"-", "1"}], ")"}]}]}], ")"}]}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.6336903141826468`*^9, 3.633690316318252*^9}, {
  3.633690419341786*^9, 3.633690460621232*^9}, {3.6336906198826513`*^9, 
  3.6336906422288017`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Comb", "[", 
    RowBox[{"n_Integer", "/;", 
     RowBox[{"n", ">", "0"}]}], "]"}], ":=", 
   RowBox[{
    RowBox[{"Comb", "[", "n", "]"}], "=", " ", 
    RowBox[{"Sort", "[", 
     RowBox[{"Table", "[", " ", 
      RowBox[{
       RowBox[{"PadLeft", "[", 
        RowBox[{
         RowBox[{"IntegerDigits", "[", 
          RowBox[{
           RowBox[{"i", "-", "1"}], ",", "2"}], "]"}], ",", " ", 
         RowBox[{"IntegerLength", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"2", "^", "n"}], "-", "1"}], ",", "2"}], "]"}]}], "]"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", 
         RowBox[{"2", "^", "n"}]}], "}"}]}], "]"}], "]"}]}]}], ";"}]], "Input",\

 CellChangeTimes->{{3.5950831752465477`*^9, 3.5950832553752813`*^9}, {
   3.595083345478356*^9, 3.595083366311144*^9}, {3.595083439397724*^9, 
   3.595083539828985*^9}, {3.5950835919893847`*^9, 3.595083638475861*^9}, {
   3.595083712763577*^9, 3.5950837569069557`*^9}, {3.5950838105473137`*^9, 
   3.595083847434819*^9}, {3.595083919235847*^9, 3.59508392394659*^9}, {
   3.595084476744326*^9, 3.595084559512228*^9}, {3.595084594303565*^9, 
   3.595084622887488*^9}, {3.5950846592785997`*^9, 3.595084662324226*^9}, {
   3.595233982210772*^9, 3.5952340491223097`*^9}, {3.595235673206861*^9, 
   3.59523569722268*^9}, 3.595235728519404*^9, {3.595235963092008*^9, 
   3.595235973861061*^9}, {3.5952456918258057`*^9, 3.5952457513788557`*^9}, {
   3.595245799331524*^9, 3.595245811667886*^9}, {3.599487310256136*^9, 
   3.599487312336267*^9}, 3.599536173639081*^9, 3.5995588613197737`*^9, {
   3.603028789605227*^9, 3.603028806484269*^9}, {3.603028893427477*^9, 
   3.603028893880342*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"**", "**", " ", 
     RowBox[{"(", "4", ")"}]}], " ", 
    RowBox[{"g_i", " ", "<->", " ", 
     RowBox[{"t", "'"}]}], "_i", " ", "RELATIONS", " ", "SECTION"}], " ", 
   "*****)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"**", " ", "Algorithm"}], " ", "for", " ", 
     RowBox[{"g_i", " ", "<->", " ", 
      RowBox[{"t", "'"}]}], "_i"}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
     "1.", " ", "Find", " ", "first", " ", "occurence", " ", "of", " ", 
      "g_i"}], " ", "=", 
     RowBox[{":", " ", "m"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
     "2.", " ", "Find", " ", "first", " ", "occurence", " ", "of", " ", 
      RowBox[{"t", "'"}], "_i"}], " ", "=", 
     RowBox[{":", " ", "n"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
     "3.", " ", "Search", " ", "between", " ", "m", " ", "and", " ", "n", " ",
       "for", " ", "g_i", " ", "and", " ", "g_i"}], "-", "1"}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"4.", " ", "Make", " ", "the", " ", 
     RowBox[{"appropriate", " ", "'"}], 
     RowBox[{"moves", "'"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{
    "5.", " ", "Remove", " ", "duplicate", " ", "word", " ", "by", " ", 
     "summing", " ", "the", " ", "coefficients"}], ";", "\[IndentingNewLine]", 
    RowBox[{"6.", " ", "Recursion", " ", "on", " ", "the", " ", "word", 
     RowBox[{"(", "s", ")"}], " ", "from", " ", "5"}], ";"}], " ", "***)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"SplitWord", "[", "L_", "]"}], ":=", " ", 
    RowBox[{"Which", "[", 
     RowBox[{
      RowBox[{"HasE", "[", 
       RowBox[{"L", "[", 
        RowBox[{"[", "2", "]"}], "]"}], "]"}], ",", 
      RowBox[{"SplitE", "[", "L", "]"}], ",", "\[IndentingNewLine]", "True", 
      ",", 
      RowBox[{"{", "L", "}"}]}], "\[IndentingNewLine]", "]"}]}], 
   ";"}]}]], "Input",
 CellChangeTimes->{{3.595240493807364*^9, 3.5952406080664577`*^9}, {
   3.5952452285781384`*^9, 3.5952452765615664`*^9}, 3.59524531536055*^9, {
   3.599466133952894*^9, 3.5994661477103767`*^9}, {3.599487235883564*^9, 
   3.5994872366901083`*^9}, {3.599558365994808*^9, 3.5995583673218327`*^9}, {
   3.599558836678886*^9, 3.599558846858045*^9}, {3.599558887673036*^9, 
   3.599558893047392*^9}, {3.599560531495164*^9, 3.599560543927085*^9}, {
   3.612167755357477*^9, 3.612167756710009*^9}, {3.612168927875716*^9, 
   3.612168930098803*^9}, 3.612178318623226*^9, {3.612178349853682*^9, 
   3.612178354611614*^9}, {3.6121783920710173`*^9, 3.612178430753448*^9}, {
   3.612178500204459*^9, 3.6121785184990587`*^9}, {3.6121786017499733`*^9, 
   3.61217863935087*^9}, {3.614510789645959*^9, 3.614510816033251*^9}, {
   3.6146779310439053`*^9, 3.6146779680954313`*^9}, {3.614678418351541*^9, 
   3.614678463634861*^9}, {3.614678896144459*^9, 3.61467893144943*^9}, {
   3.614680507100087*^9, 3.614680580427013*^9}, {3.614681317274768*^9, 
   3.614681322025635*^9}, {3.6146819232548*^9, 3.614681965254668*^9}, {
   3.614682005647839*^9, 3.614682024198121*^9}, {3.6146820691589613`*^9, 
   3.614682101886524*^9}, {3.614682146815888*^9, 3.614682157714978*^9}, {
   3.61468222970669*^9, 3.614682263617638*^9}, {3.61468231327034*^9, 
   3.614682352394033*^9}, {3.614682473502165*^9, 3.614682477895566*^9}, {
   3.614682670827888*^9, 3.61468279000946*^9}, {3.614682941212717*^9, 
   3.6146829622402687`*^9}, {3.615714171713656*^9, 3.615714217616002*^9}, {
   3.615714248328369*^9, 3.615714323412512*^9}, {3.6157143974285994`*^9, 
   3.615714421352599*^9}, {3.6157145761336937`*^9, 3.615714583056739*^9}, {
   3.615714639270383*^9, 3.6157146574196444`*^9}, {3.615726724507764*^9, 
   3.615726756786685*^9}, 3.615727107942072*^9, {3.61572717257158*^9, 
   3.615727201155182*^9}, 3.615727709971236*^9, {3.6157283823503847`*^9, 
   3.6157283825351477`*^9}, 3.615731538584251*^9, {3.624270178465748*^9, 
   3.624270185674758*^9}, {3.624270285558599*^9, 3.624270313480186*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Apply", " ", "the", " ", "relations", " ", "on", " ", "a", " ", 
    RowBox[{"{", 
     RowBox[{"poly", ",", " ", "word"}], "}"}], " ", "pair"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Input", ":", " ", 
    RowBox[{"a", " ", 
     RowBox[{"{", 
      RowBox[{"poly", ",", " ", "word"}], "}"}], " ", "pair"}]}], " ", "*)"}],
   "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Output", ":", " ", 
    RowBox[{"a", " ", "list", " ", "of", " ", 
     RowBox[{"{", 
      RowBox[{"poly", ",", " ", "word"}], "}"}], " ", "pairs"}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"ATTENTION", " ", "/", " ", 
     RowBox[{"CONVENTION", ":", " ", 
      RowBox[{"The", " ", "word", " ", "is", " ", "considered", " ", 
       RowBox[{"s", ".", "t", ".", " ", "it"}], " ", "does", " ", "NOT", " ", 
       "contain", " ", "power", " ", "of", " ", 
       RowBox[{"g_i", "'"}], "s", " ", "or", " ", "e_i"}]}]}], ",", 
    RowBox[{
     RowBox[{"k", "'"}], "s"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"SplitE", "[", "L_", "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "gFirstPos", ",", "ePos", ",", "indNew", ",", "perm", ",", 
         "selectedIndices"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"IsSplit", "[", 
          RowBox[{"L", "[", 
           RowBox[{"[", "2", "]"}], "]"}], "]"}], ",", " ", 
         RowBox[{"{", "L", "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"gFirstPos", " ", "=", " ", 
            RowBox[{"FirstG", "[", 
             RowBox[{"L", "[", 
              RowBox[{"[", "2", "]"}], "]"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"ePos", " ", "=", " ", 
            RowBox[{"FirstEAfterG", "[", 
             RowBox[{"L", "[", 
              RowBox[{"[", "2", "]"}], "]"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"indNew", "=", 
            RowBox[{"NewEIndices", "[", 
             RowBox[{
              RowBox[{"GetIndex1", "[", 
               RowBox[{
                RowBox[{"L", "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "[", 
                RowBox[{"[", "ePos", "]"}], "]"}], "]"}], ",", 
              RowBox[{"GetIndex2", "[", 
               RowBox[{
                RowBox[{"L", "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "[", 
                RowBox[{"[", "ePos", "]"}], "]"}], "]"}], ",", 
              RowBox[{"GetIndex", " ", "/@", 
               RowBox[{"Reverse", "[", 
                RowBox[{"Take", "[", 
                 RowBox[{
                  RowBox[{"L", "[", 
                   RowBox[{"[", "2", "]"}], "]"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"gFirstPos", ",", 
                    RowBox[{"ePos", "-", "1"}]}], "}"}]}], "]"}], "]"}]}]}], 
             "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"SplitE", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"L", "[", 
               RowBox[{"[", "1", "]"}], "]"}], ",", 
              RowBox[{"Insert", "[", 
               RowBox[{
                RowBox[{"Delete", "[", 
                 RowBox[{
                  RowBox[{"L", "[", 
                   RowBox[{"[", "2", "]"}], "]"}], ",", "ePos"}], "]"}], ",", 
                
                RowBox[{"Subscript", "[", 
                 RowBox[{"e", ",", 
                  RowBox[{"indNew", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], ",", 
                  RowBox[{"indNew", "[", 
                   RowBox[{"[", "2", "]"}], "]"}]}], "]"}], ",", 
                "gFirstPos"}], "]"}]}], "}"}], "]"}]}], "\[IndentingNewLine]",
           ")"}]}], "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.61467994966041*^9, 3.61468002952071*^9}, {
   3.61468016966013*^9, 3.614680197054378*^9}, {3.6146833143493*^9, 
   3.6146833202220592`*^9}, {3.614683760102954*^9, 3.614683764113473*^9}, {
   3.6146842063518353`*^9, 3.6146842571156063`*^9}, {3.614684297431452*^9, 
   3.6146843995606937`*^9}, {3.614684702833478*^9, 3.614684750812669*^9}, 
   3.6157119348497057`*^9, 3.615712011434061*^9, {3.615712052360117*^9, 
   3.615712188413631*^9}, {3.615712258797091*^9, 3.615712452012734*^9}, {
   3.615712512399907*^9, 3.615712729483919*^9}, {3.615713888763739*^9, 
   3.615713906841239*^9}, 3.615714120180635*^9, {3.615714437549111*^9, 
   3.6157144382132196`*^9}, 3.615714680857254*^9, {3.6157158259049053`*^9, 
   3.615715827216386*^9}, {3.615715995674583*^9, 3.615716010097908*^9}, {
   3.615716062959963*^9, 3.615716086533533*^9}, {3.6157162849072027`*^9, 
   3.615716285309202*^9}, {3.6157181247271433`*^9, 3.615718125646351*^9}, {
   3.6157200034916973`*^9, 3.615720003824943*^9}, {3.615721821447501*^9, 
   3.6157218552724543`*^9}, {3.61573249354221*^9, 3.615732534044386*^9}, {
   3.624270155594492*^9, 3.624270158090974*^9}, {3.624270330914608*^9, 
   3.6242703448149357`*^9}, {3.624270376458061*^9, 3.624270399263729*^9}, {
   3.624270444495303*^9, 3.62427054739853*^9}, {3.6242706257278337`*^9, 
   3.624270647696957*^9}, {3.6242707164273453`*^9, 3.624270927366303*^9}, {
   3.6242710304198627`*^9, 3.62427104930942*^9}, {3.624271091887917*^9, 
   3.624271137070133*^9}, {3.624271237012548*^9, 3.624271285220454*^9}, {
   3.624271317096053*^9, 3.624271390194585*^9}, {3.624271432205882*^9, 
   3.624271553867304*^9}, {3.6242716186975594`*^9, 3.624271618945345*^9}, {
   3.6242718046802177`*^9, 3.6242718102898397`*^9}, {3.624272286547274*^9, 
   3.624272437622776*^9}, {3.633979581133256*^9, 3.633979655319086*^9}, {
   3.633979757552099*^9, 3.6339798289408703`*^9}, {3.633979908098373*^9, 
   3.633980008895055*^9}, {3.633986745984852*^9, 3.633986746984043*^9}, {
   3.6339867869636087`*^9, 3.633986800603574*^9}, {3.634385039696371*^9, 
   3.634385206557831*^9}, {3.634646041096224*^9, 3.634646053446149*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"**", "**", " ", 
      RowBox[{"(", "5", ")"}]}], " ", "e_i"}], ",", 
    RowBox[{"k", " ", "<->", " ", "e_j"}], ",", 
    RowBox[{"l", " ", "RELATIONS", " ", "SECTION"}]}], " ", "*****)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"input", ":", " ", 
     RowBox[{"{", 
      RowBox[{"poly", ",", " ", "word"}], "}"}]}], ",", " ", 
    RowBox[{"output", ":", " ", 
     RowBox[{"position", " ", "to", " ", "be", " ", "ordered"}]}]}], " ", 
   "*)"}], " ", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"IsOrdered", "[", "w_", "]"}], " ", ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"lastPos", ",", "pos"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"Length", "[", "w", "]"}], "\[Equal]", "0"}], " ", "||", 
          " ", 
          RowBox[{"HasOnlyG", "[", "w", "]"}]}], ",", "0", ",", 
         RowBox[{"(", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"lastPos", " ", "=", " ", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"HasE", "[", "w", "]"}], ",", 
              RowBox[{"LastE", "[", "w", "]"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"pos", "=", "0"}], ";", "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{
            "Find", " ", "the", " ", "first", " ", "unordered", " ", "pair", 
             " ", "of", " ", 
             RowBox[{"indices", ".", " ", 
              RowBox[{"Convention", ":", " ", 
               RowBox[{"increasing", " ", "order"}]}]}]}], " ", "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{"While", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"pos", "<", " ", 
               RowBox[{"lastPos", "-", "1"}]}], " ", "&&", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"GetIndex1", "[", 
                  RowBox[{"w", "[", 
                   RowBox[{"[", 
                    RowBox[{"pos", "+", "1"}], "]"}], "]"}], "]"}], "<", " ", 
                 
                 RowBox[{"GetIndex1", "[", 
                  RowBox[{"w", "[", 
                   RowBox[{"[", 
                    RowBox[{"pos", "+", "2"}], "]"}], "]"}], "]"}]}], " ", "||",
                 " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"GetIndex1", "[", 
                    RowBox[{"w", "[", 
                    RowBox[{"[", 
                    RowBox[{"pos", "+", "1"}], "]"}], "]"}], "]"}], 
                   "\[Equal]", " ", 
                   RowBox[{"GetIndex1", "[", 
                    RowBox[{"w", "[", 
                    RowBox[{"[", 
                    RowBox[{"pos", "+", "2"}], "]"}], "]"}], "]"}]}], " ", "&&",
                   " ", 
                  RowBox[{
                   RowBox[{"GetIndex2", "[", 
                    RowBox[{"w", "[", 
                    RowBox[{"[", 
                    RowBox[{"pos", "+", "1"}], "]"}], "]"}], "]"}], 
                   "\[LessEqual]", " ", 
                   RowBox[{"GetIndex2", "[", 
                    RowBox[{"w", "[", 
                    RowBox[{"[", 
                    RowBox[{"pos", "+", "2"}], "]"}], "]"}], "]"}]}]}], 
                 ")"}]}], ")"}]}], ",", 
             RowBox[{"pos", "++"}]}], "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"pos", "++"}], ";", "\[IndentingNewLine]", 
           RowBox[{"Mod", "[", 
            RowBox[{"pos", ",", "lastPos"}], "]"}]}], ")"}]}], "]"}]}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"IsOrderedP", "[", "L_", "]"}], ":=", 
     RowBox[{"IsOrdered", "[", 
      RowBox[{"L", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"OrderWord", "[", "L_", "]"}], ":=", " ", 
     RowBox[{"Which", "[", 
      RowBox[{
       RowBox[{"HasE", "[", 
        RowBox[{"L", "[", 
         RowBox[{"[", "2", "]"}], "]"}], "]"}], ",", 
       RowBox[{"OrderE", "[", "L", "]"}], ",", "\[IndentingNewLine]", "True", 
       ",", 
       RowBox[{"{", "L", "}"}]}], "\[IndentingNewLine]", "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"OrderE", "[", "L_", "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "i", ",", "j", ",", "k", ",", "l", ",", "pos", ",", "w", ",", "poly", 
         ",", "head", ",", "tail", ",", "lastPos", ",", "ePart", ",", 
         "gPart"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"pos", ":=", 
         RowBox[{"IsOrderedP", "[", "L", "]"}]}], ";", "\[IndentingNewLine]", 
        
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"pos", "\[Equal]", "0"}], ",", " ", 
          RowBox[{"{", "L", "}"}], ",", "\[IndentingNewLine]", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"poly", ":=", 
             RowBox[{"L", "[", 
              RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"w", ":=", 
             RowBox[{"L", "[", 
              RowBox[{"[", "2", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"lastPos", "=", 
             RowBox[{"LastE", "[", "w", "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"ePart", " ", "=", " ", 
             RowBox[{"Take", "[", 
              RowBox[{"w", ",", "lastPos"}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"gPart", " ", "=", " ", 
             RowBox[{"Drop", "[", 
              RowBox[{"w", ",", "lastPos"}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"ePart", "=", 
             RowBox[{"Delete", "[", 
              RowBox[{"ePart", ",", 
               RowBox[{"Position", "[", 
                RowBox[{"ePart", ",", 
                 RowBox[{"Subscript", "[", 
                  RowBox[{"e", ",", "i_Integer", ",", "i_Integer"}], "]"}]}], 
                "]"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{"{", 
              RowBox[{"poly", ",", " ", 
               RowBox[{"Join", "[", 
                RowBox[{
                 RowBox[{"Sort", "[", 
                  RowBox[{"ePart", ",", 
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"GetIndex1", "[", "#1", "]"}], " ", "<", 
                    RowBox[{"GetIndex1", "[", "#2", "]"}]}], "||", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"GetIndex1", "[", "#1", "]"}], " ", "\[Equal]", 
                    RowBox[{"GetIndex1", "[", "#2", "]"}]}], " ", "&&", " ", 
                    RowBox[{
                    RowBox[{"GetIndex2", "[", "#1", "]"}], "\[LessEqual]", 
                    RowBox[{"GetIndex2", "[", "#2", "]"}]}]}], ")"}]}], 
                    "&"}]}], "]"}], ",", "gPart"}], "]"}]}], "}"}], "}"}]}], 
           "\[IndentingNewLine]", ")"}]}], "]"}]}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.599487320535892*^9, 3.599487344221211*^9}, {
   3.599542575113249*^9, 3.599542705173194*^9}, {3.599542757716696*^9, 
   3.59954293827211*^9}, {3.599543206356751*^9, 3.599543298355147*^9}, {
   3.599543757827335*^9, 3.5995437685637903`*^9}, {3.5995439752086067`*^9, 
   3.59954397674481*^9}, {3.5995440984017363`*^9, 3.599544138305297*^9}, {
   3.599544182226405*^9, 3.59954419579069*^9}, {3.599544232943573*^9, 
   3.599544291472143*^9}, {3.5995458742238197`*^9, 3.599546009945051*^9}, {
   3.5995460949836693`*^9, 3.599546236450664*^9}, {3.5995463269097013`*^9, 
   3.5995463407483788`*^9}, {3.599546423914013*^9, 3.599546444248283*^9}, {
   3.599546680864675*^9, 3.599546681759396*^9}, {3.599546723848446*^9, 
   3.599546726506125*^9}, {3.599547005923758*^9, 3.5995471278816032`*^9}, {
   3.599547326279755*^9, 3.599547371934374*^9}, {3.599547476720415*^9, 
   3.599547548940567*^9}, {3.599547582950721*^9, 3.5995476061840963`*^9}, {
   3.599547732292609*^9, 3.599547759876265*^9}, {3.599548058283046*^9, 
   3.5995480637068377`*^9}, {3.599557725239449*^9, 3.599557728048439*^9}, {
   3.599557860537467*^9, 3.5995578866202097`*^9}, {3.5995583770945797`*^9, 
   3.599558377938196*^9}, {3.5995602291059313`*^9, 3.599560292507441*^9}, {
   3.5995603315354347`*^9, 3.599560373831727*^9}, {3.599560828085896*^9, 
   3.599560853440695*^9}, {3.599560968706232*^9, 3.599561064018729*^9}, {
   3.599561652451673*^9, 3.59956165264292*^9}, {3.61572692204492*^9, 
   3.615726928561178*^9}, {3.615727230034441*^9, 3.615727231113769*^9}, 
   3.615727714638524*^9, 3.61573154188273*^9, {3.615732551064313*^9, 
   3.615732585438044*^9}, {3.616489822869808*^9, 3.616489865162662*^9}, {
   3.616489914645418*^9, 3.616489920659746*^9}, 3.616490004694078*^9, {
   3.616490092261366*^9, 3.616490093199523*^9}, {3.616490157954154*^9, 
   3.616490173712191*^9}, {3.6164902764479017`*^9, 3.6164902868510427`*^9}, {
   3.6164905835593367`*^9, 3.616490586361034*^9}, {3.616490634981207*^9, 
   3.616490748547229*^9}, {3.616490820715376*^9, 3.616490873375353*^9}, {
   3.616490996631557*^9, 3.616491022184113*^9}, {3.616491052922378*^9, 
   3.616491073289694*^9}, {3.616491166996945*^9, 3.616491180588078*^9}, {
   3.6164912171521797`*^9, 3.616491225899144*^9}, {3.616491256539569*^9, 
   3.616491258219586*^9}, {3.616491291274723*^9, 3.616491409552868*^9}, {
   3.616491474254318*^9, 3.616491541884205*^9}, {3.6164932134099483`*^9, 
   3.6164932870467367`*^9}, {3.616493351358368*^9, 3.616493352246146*^9}, {
   3.6164936291416483`*^9, 3.616493732239814*^9}, {3.616493768262504*^9, 
   3.616494046075818*^9}, {3.616494101930231*^9, 3.616494148482975*^9}, {
   3.61649418348701*^9, 3.61649419760776*^9}, {3.616494240096999*^9, 
   3.616494274459929*^9}, {3.616494317197929*^9, 3.616494318629612*^9}, {
   3.6164943569403887`*^9, 3.616494487941733*^9}, {3.616494524200656*^9, 
   3.616494537219274*^9}, {3.6164945731633387`*^9, 3.616494659961142*^9}, {
   3.616494831668685*^9, 3.616494833549712*^9}, {3.616494991355887*^9, 
   3.616495031394423*^9}, {3.61649509698004*^9, 3.6164950970713463`*^9}, {
   3.616495147344537*^9, 3.616495226470896*^9}, {3.616495307521329*^9, 
   3.6164954159000473`*^9}, {3.6164957310861053`*^9, 3.616495915207035*^9}, {
   3.616495995477397*^9, 3.616495996013207*^9}, {3.6164967789492617`*^9, 
   3.616496781338724*^9}, {3.6164970979712133`*^9, 3.616497103032349*^9}, {
   3.624271891304165*^9, 3.624271891763195*^9}, {3.624272127367572*^9, 
   3.62427215673768*^9}, {3.624272191231745*^9, 3.6242722016366997`*^9}, {
   3.624272500205471*^9, 3.624272599448883*^9}, 3.624272908399857*^9, {
   3.6242730159552383`*^9, 3.624273023700273*^9}, 3.624273160459749*^9, {
   3.624273343203534*^9, 3.6242733750957813`*^9}, {3.624372855201095*^9, 
   3.62437289174161*^9}, {3.634646312594915*^9, 3.634646387329801*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"**", "**", " ", 
     RowBox[{"(", "6", ")"}]}], " ", "WORD", " ", "REDUCING", " ", 
    "SECTION"}], " ", "*****)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"**", " ", "All"}], " ", "main", " ", "functions", " ", "from", 
     " ", 
     RowBox[{"(", "II", ")"}]}], ",", " ", 
    RowBox[{"(", "III", ")"}], ",", " ", 
    RowBox[{"(", "IV", ")"}], ",", " ", 
    RowBox[{"are", " ", "used", " ", 
     RowBox[{"here", "."}]}]}], " ", "***)"}], " ", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Input", ":", " ", 
    RowBox[{"a", " ", 
     RowBox[{"{", 
      RowBox[{"poly", ",", " ", "word"}], "}"}], " ", "pair", " ", 
     RowBox[{"(", 
      RowBox[{"after", " ", "the", " ", "change", " ", "of", " ", "basis"}], 
      ")"}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Output", ":", " ", 
    RowBox[{"a", " ", "list", " ", "of", " ", "reduced", " ", 
     RowBox[{"word", " ", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"reduced", " ", "word"}], " ", "=", " ", 
        RowBox[{
        "a", " ", "word", " ", "with", " ", "no", " ", "exponents", " ", "in",
          " ", 
         RowBox[{"g_i", "'"}], "s"}]}], ",", " ", 
       RowBox[{"with", " ", "ordered", " ", "e_i"}], ",", 
       RowBox[{
        RowBox[{"k", "'"}], "s", " ", "at", " ", "the", " ", "beginning", " ",
         "of", " ", "the", " ", "word"}]}], "]"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Searches", " ", "for", " ", "generators", " ", "with", " ", "same", " ", 
     "indices", " ", "that", " ", "can", " ", "be", " ", "simplified"}], ",", 
    " ", 
    RowBox[{
     RowBox[{
      RowBox[{"i", ".", "e", ".", " ", 
       RowBox[{"g_i", "^", "m"}]}], " ", "*", " ", 
      RowBox[{"g_i", "^", "n"}]}], " ", "=", " ", 
     RowBox[{"g_i", "^", 
      RowBox[{"(", 
       RowBox[{"m", "+", "n"}], ")"}]}]}], ",", " ", "e_i", ",", 
    RowBox[{"i", "=", "1"}], ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"e_i", ",", "k"}], ")"}], "^", "p"}], " ", "=", " ", "e_i"}], 
    ",", "k", ",", " ", 
    RowBox[{"etc", " ", "..."}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"SimplifyWord", "[", "L_", "]"}], ":=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"L", "[", 
       RowBox[{"[", "1", "]"}], "]"}], ",", " ", 
      RowBox[{"SimplifyW", "[", 
       RowBox[{"L", "[", 
        RowBox[{"[", "2", "]"}], "]"}], "]"}]}], "}"}]}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"SimplifyW", "[", "w_", "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "wNew", ",", "i", ",", "currIndex1", ",", "currIndex2", ",", "sum", 
         ",", "lastPos", ",", "change"}], "}"}], ",", 
       RowBox[{"(", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Length", "[", "w", "]"}], " ", "\[Equal]", "0"}], ",", 
          "\[IndentingNewLine]", "w", ",", "\[IndentingNewLine]", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"i", "=", "1"}], ";", 
            RowBox[{"wNew", " ", "=", " ", "w"}], ";", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"HasE", "[", "w", "]"}], ",", 
              RowBox[{"lastPos", "=", 
               RowBox[{"LastE", "[", "w", "]"}]}], ",", 
              RowBox[{"lastPos", "=", "0"}]}], "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"While", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"i", "+", "1"}], "\[LessEqual]", " ", "lastPos"}], ",",
               "\[IndentingNewLine]", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{"GetIndex1", "[", 
                    RowBox[{"wNew", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "]"}], "\[Equal]", " ", 
                    RowBox[{"GetIndex1", "[", 
                    RowBox[{"wNew", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", "+", "1"}], "]"}], "]"}], "]"}]}], " ", "&&", 
                   RowBox[{
                    RowBox[{"GetIndex2", "[", 
                    RowBox[{"wNew", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "]"}], "\[Equal]", " ", 
                    RowBox[{"GetIndex2", "[", 
                    RowBox[{"wNew", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", "+", "1"}], "]"}], "]"}], "]"}]}]}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"wNew", " ", "=", " ", 
                    RowBox[{"Delete", "[", 
                    RowBox[{"wNew", ",", 
                    RowBox[{"i", "+", "1"}]}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"lastPos", "--"}], ";"}], ")"}], ",", 
                  RowBox[{
                   RowBox[{"change", "=", "True"}], ";"}]}], "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"GetIndex1", "[", 
                    RowBox[{"wNew", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "]"}], "\[Equal]", 
                    RowBox[{"GetIndex2", "[", 
                    RowBox[{"wNew", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "]"}]}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"wNew", " ", "=", " ", 
                    RowBox[{"Delete", "[", 
                    RowBox[{"wNew", ",", "i"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"lastPos", "--"}], ";"}], ")"}], ",", 
                   RowBox[{
                    RowBox[{"change", "=", "True"}], ";"}]}], "]"}], 
                 "\[IndentingNewLine]", 
                 RowBox[{"If", "[", 
                  RowBox[{"change", ",", 
                   RowBox[{
                    RowBox[{"i", "++"}], ";"}]}], "]"}]}]}], ")"}]}], "]"}], 
            ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"GetIndex1", "[", 
                RowBox[{"wNew", "[", 
                 RowBox[{"[", "lastPos", "]"}], "]"}], "]"}], "\[Equal]", 
               RowBox[{"GetIndex2", "[", 
                RowBox[{"wNew", "[", 
                 RowBox[{"[", "lastPos", "]"}], "]"}], "]"}]}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"wNew", " ", "=", " ", 
               RowBox[{"Delete", "[", 
                RowBox[{"wNew", ",", "i"}], "]"}]}]}], "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"i", "=", 
             RowBox[{"lastPos", "+", "1"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"While", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"i", "+", "1"}], "\[LessEqual]", 
               RowBox[{"Length", "[", "wNew", "]"}]}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"GetIndex", "[", 
                  RowBox[{"wNew", "[", 
                   RowBox[{"[", "i", "]"}], "]"}], "]"}], " ", "\[Equal]", 
                 " ", 
                 RowBox[{"GetIndex", "[", 
                  RowBox[{"wNew", "[", 
                   RowBox[{"[", 
                    RowBox[{"i", "+", "1"}], "]"}], "]"}], "]"}]}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"sum", " ", "=", " ", 
                   RowBox[{
                    RowBox[{"GetPower", "[", 
                    RowBox[{"wNew", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "]"}], "+", " ", 
                    RowBox[{"GetPower", "[", 
                    RowBox[{"wNew", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", "+", "1"}], "]"}], "]"}], "]"}]}]}], ";", 
                  "\[IndentingNewLine]", 
                  RowBox[{"wNew", "=", 
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"sum", " ", "\[Equal]", "0"}], ",", 
                    RowBox[{"Delete", "[", 
                    RowBox[{"wNew", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", "i", "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"i", "+", "1"}], "}"}]}], "}"}]}], "]"}], ",", 
                    RowBox[{"Delete", "[", 
                    RowBox[{
                    RowBox[{"ReplacePart", "[", 
                    RowBox[{"wNew", ",", " ", 
                    RowBox[{"i", "\[Rule]", 
                    RowBox[{
                    RowBox[{"(", 
                    SubscriptBox["g", 
                    RowBox[{"GetIndex", "[", 
                    RowBox[{"wNew", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "]"}]], ")"}], "^", 
                    "sum"}]}]}], "]"}], ",", 
                    RowBox[{"i", "+", "1"}]}], "]"}]}], "]"}]}], ";"}], ")"}],
                 ",", 
                RowBox[{
                 RowBox[{"i", "++"}], ";"}]}], "]"}]}], "]"}], ";", 
            "\[IndentingNewLine]", "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"Length", "[", "wNew", "]"}], ">", "1"}], "&&", 
               RowBox[{"lastPos", "\[Equal]", "0"}]}], ",", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"GetIndex", "[", 
                  RowBox[{"wNew", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "]"}], " ", "\[Equal]", 
                 " ", 
                 RowBox[{"GetIndex", "[", 
                  RowBox[{"Last", "[", "wNew", "]"}], "]"}]}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"sum", " ", "=", " ", 
                   RowBox[{
                    RowBox[{"GetPower", "[", 
                    RowBox[{"wNew", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}], "+", " ", 
                    RowBox[{"GetPower", "[", 
                    RowBox[{"Last", "[", "wNew", "]"}], "]"}]}]}], ";", 
                  "\[IndentingNewLine]", 
                  RowBox[{"wNew", "=", 
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"sum", " ", "\[Equal]", "0"}], ",", 
                    RowBox[{"Delete", "[", 
                    RowBox[{"wNew", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", "1", "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"Length", "[", "wNew", "]"}], "}"}]}], "}"}]}], 
                    "]"}], ",", 
                    RowBox[{"Delete", "[", 
                    RowBox[{
                    RowBox[{"ReplacePart", "[", 
                    RowBox[{"wNew", ",", " ", 
                    RowBox[{"1", "\[Rule]", 
                    RowBox[{
                    RowBox[{"(", 
                    SubscriptBox["g", 
                    RowBox[{"GetIndex", "[", 
                    RowBox[{"wNew", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}]], ")"}], "^", 
                    "sum"}]}]}], "]"}], ",", 
                    RowBox[{"Length", "[", "wNew", "]"}]}], "]"}]}], "]"}]}], 
                  ";"}], ")"}]}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
            "wNew"}], ")"}]}], "]"}], ")"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.599558384479909*^9, 3.5995586425442667`*^9}, {
   3.599558915467186*^9, 3.599558946921958*^9}, {3.599559362784622*^9, 
   3.599559393534727*^9}, {3.599561237591526*^9, 3.599561278735457*^9}, {
   3.5995621070274763`*^9, 3.599562228176816*^9}, {3.599562265755808*^9, 
   3.5995622857883577`*^9}, {3.5995623184278383`*^9, 3.59956235474822*^9}, {
   3.599562442041028*^9, 3.5995624577162857`*^9}, {3.599562577266861*^9, 
   3.599562592239727*^9}, {3.599562642702866*^9, 3.5995626456808558`*^9}, 
   3.615727716577229*^9, 3.615731543843453*^9, {3.615732592212635*^9, 
   3.615732607284623*^9}, {3.61650037291332*^9, 3.6165003853133087`*^9}, {
   3.624273031913067*^9, 3.6242731066531363`*^9}, {3.624273386649642*^9, 
   3.624273390303564*^9}, {3.624273475346594*^9, 3.6242739219613333`*^9}, {
   3.624274001281637*^9, 3.6242740453310213`*^9}, 3.624274090199472*^9, {
   3.6242741229269133`*^9, 3.624274150147747*^9}, {3.624276134879984*^9, 
   3.6242761360836*^9}, {3.624276189322548*^9, 3.624276267533925*^9}, {
   3.627899493502451*^9, 3.627899513926415*^9}, {3.631968504388907*^9, 
   3.631968693323183*^9}, {3.6319687809096193`*^9, 3.6319688496986933`*^9}, {
   3.631968914693519*^9, 3.6319689290408*^9}, {3.631969048008335*^9, 
   3.63196908707596*^9}, {3.631969168352862*^9, 3.631969209698345*^9}, {
   3.631969297246852*^9, 3.631969329081895*^9}, {3.631969373769671*^9, 
   3.631969374017848*^9}, {3.633694246764608*^9, 3.633694300905139*^9}, {
   3.634627526892371*^9, 3.6346275474108067`*^9}, {3.634627609085105*^9, 
   3.6346277541485662`*^9}, {3.634627824814459*^9, 3.6346279002950287`*^9}, {
   3.634627962878525*^9, 3.6346279683434057`*^9}, {3.634628060239788*^9, 
   3.634628076797578*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Removes", " ", "duplicates", " ", "words", " ", "in", " ", "a", " ", 
     "list", " ", "of", " ", 
     RowBox[{"{", 
      RowBox[{"poly", ",", " ", "word"}], "}"}], " ", "pairs", " ", "by", " ",
      "summing", " ", "the", " ", "coefficients"}], " ", 
    "\[IndentingNewLine]", "\[Rule]", " ", 
    RowBox[{
    "it", " ", "is", " ", "needed", " ", "in", " ", "order", " ", "to", " ", 
     "avoid", " ", "duplicate", " ", "calculations"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"RemoveDuplicates", "[", "L_", "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "i", ",", "len", ",", "word", ",", "coeff", ",", "posLen", ",", "pos", 
       ",", "newL", ",", "j"}], "}"}], ",", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"len", " ", "=", " ", 
        RowBox[{"Length", "[", "L", "]"}]}], ";", " ", 
       RowBox[{"i", " ", "=", " ", "1"}], ";", 
       RowBox[{"newL", " ", "=", " ", "L"}], ";", "\[IndentingNewLine]", 
       RowBox[{"While", "[", 
        RowBox[{
         RowBox[{"i", "\[LessEqual]", " ", "len"}], ",", " ", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"word", " ", "=", " ", 
             RowBox[{
              RowBox[{"L", "[", 
               RowBox[{"[", "i", "]"}], "]"}], "[", 
              RowBox[{"[", "2", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"pos", " ", "=", " ", 
             RowBox[{
              RowBox[{"Position", "[", 
               RowBox[{"L", ",", " ", "word"}], "]"}], "[", 
              RowBox[{"[", 
               RowBox[{"All", ",", "1"}], "]"}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"coeff", " ", "=", " ", 
             RowBox[{"Total", "[", 
              RowBox[{"L", "[", 
               RowBox[{"[", 
                RowBox[{"pos", ",", "1"}], "]"}], "]"}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"posLen", " ", "=", " ", 
             RowBox[{"Length", "[", "pos", "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"j", "=", "posLen"}], ",", 
              RowBox[{"j", ">", "0"}], ",", 
              RowBox[{"j", "--"}], ",", 
              RowBox[{"newL", "=", 
               RowBox[{"Delete", "[", 
                RowBox[{"newL", ",", 
                 RowBox[{"pos", "[", 
                  RowBox[{"[", "j", "]"}], "]"}]}], "]"}]}]}], "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"newL", " ", "=", " ", 
             RowBox[{"Insert", "[", 
              RowBox[{"newL", ",", 
               RowBox[{"{", 
                RowBox[{"coeff", ",", "word"}], "}"}], ",", "i"}], "]"}]}], 
            ";", "\[IndentingNewLine]", 
            RowBox[{"len", " ", "=", " ", 
             RowBox[{"len", " ", "-", " ", "posLen"}]}], ";"}], ")"}], 
          "\[IndentingNewLine]", ";", 
          RowBox[{"i", "++"}]}]}], "]"}], ";", " ", "newL"}], ")"}]}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.615732611367852*^9, 3.61573262744662*^9}, {
  3.616494802218814*^9, 3.616494802646737*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"NeedsQuadraticL", "[", "L_", "]"}], ":=", " ", 
   RowBox[{"Fold", "[", 
    RowBox[{"And", ",", " ", 
     RowBox[{"NeedsQuadraticP", " ", "/@", " ", "L"}], ",", "False"}], 
    "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.599559627740129*^9, 3.599559642774816*^9}, 
   3.599562880549487*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"ReduceWord", "[", "L_", "]"}], ":=", 
  RowBox[{
   RowBox[{"ReduceWord", "[", "L", "]"}], "=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "Lnew", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"NeedsQuadraticP", "[", "L", "]"}], ",", 
       RowBox[{"Flatten", "[", 
        RowBox[{
         RowBox[{"ReduceWord", " ", "/@", "  ", 
          RowBox[{"Quadratic", "[", "L", "]"}]}], ",", "1"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"IsSplitP", "[", "L", "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"IsOrderedP", "[", "L", "]"}], " ", "\[Equal]", " ", 
            "0"}], ",", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Lnew", " ", ":=", 
              RowBox[{"SimplifyWord", "[", "L", "]"}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"NeedsQuadraticP", "[", "Lnew", "]"}], "||", 
                RowBox[{"!", 
                 RowBox[{"IsSplitP", "[", "Lnew", "]"}]}], "||", 
                RowBox[{
                 RowBox[{"IsOrderedP", "[", "Lnew", "]"}], ">", "0"}]}], ",", 
               
               RowBox[{"ReduceWord", "[", "Lnew", "]"}], ",", 
               RowBox[{"{", "Lnew", "}"}]}], "]"}]}], ")"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Flatten", "[", 
            RowBox[{
             RowBox[{"ReduceWord", " ", "/@", " ", 
              RowBox[{"SimplifyWord", " ", "/@", " ", 
               RowBox[{"OrderWord", "[", "L", "]"}]}]}], ",", "1"}], "]"}]}], 
          "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"Flatten", "[", 
          RowBox[{
           RowBox[{"ReduceWord", " ", "/@", " ", 
            RowBox[{"SplitWord", "[", "L", "]"}]}], ",", "1"}], "]"}]}], 
        "\[IndentingNewLine]", "]"}]}], "]"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.5995591505874043`*^9, 3.599559196553874*^9}, {
   3.5995592287927437`*^9, 3.5995592461517076`*^9}, {3.599559297877466*^9, 
   3.599559303157755*^9}, {3.599559341877913*^9, 3.59955935358809*^9}, {
   3.5995595128792753`*^9, 3.599559517123145*^9}, {3.59955957575592*^9, 
   3.5995595922588043`*^9}, {3.5995596485861197`*^9, 3.599559744646104*^9}, {
   3.599559869426042*^9, 3.599559910255143*^9}, {3.5995603912276897`*^9, 
   3.59956046740271*^9}, {3.59956050168915*^9, 3.599560733599496*^9}, 
   3.599560809579022*^9, {3.599561145278103*^9, 3.599561145998269*^9}, 
   3.612178358979781*^9, 3.612178518545477*^9, 3.614678195633238*^9, {
   3.614679519345886*^9, 3.61467955838342*^9}, {3.6157326354531918`*^9, 
   3.6157326361122704`*^9}, {3.624276385607276*^9, 3.6242763858964148`*^9}, {
   3.6243729846362963`*^9, 3.624373041370968*^9}, {3.624373079016478*^9, 
   3.624373080666924*^9}, {3.624373128612275*^9, 3.6243731570169153`*^9}, {
   3.624373211955489*^9, 3.624373213229556*^9}, {3.624373506355998*^9, 
   3.624373542076845*^9}, {3.624373633779326*^9, 3.624373652231373*^9}, {
   3.624373698543419*^9, 3.624373711220446*^9}, {3.624373772546921*^9, 
   3.6243738475424223`*^9}, {3.6277218316481333`*^9, 3.627721870566771*^9}, {
   3.627721965003565*^9, 3.627722073175911*^9}, {3.6277221788628798`*^9, 
   3.627722204218854*^9}, 3.627722787517638*^9, {3.627722896454607*^9, 
   3.627722901990835*^9}, {3.627722933582797*^9, 3.627722937362711*^9}, {
   3.627723122571269*^9, 3.627723160150662*^9}, {3.6277232316978607`*^9, 
   3.627723232217176*^9}, {3.627723272634644*^9, 3.627723276140761*^9}, {
   3.627723382891677*^9, 3.627723411818008*^9}, {3.631961361265642*^9, 
   3.631961371930751*^9}, {3.6319614791208*^9, 3.631961503975327*^9}, {
   3.631962045474162*^9, 3.631962051298663*^9}, {3.631962116427156*^9, 
   3.631962186148141*^9}, {3.631962289465846*^9, 3.631962336239232*^9}, {
   3.631962504945798*^9, 3.6319625844570417`*^9}, {3.631962765832737*^9, 
   3.631962771255147*^9}, {3.6319629951892633`*^9, 3.631963007562358*^9}, {
   3.631963527585767*^9, 3.631963530652878*^9}, {3.632223570264245*^9, 
   3.632223605558529*^9}, {3.6346281958518257`*^9, 3.63462821037648*^9}, {
   3.6346282764094*^9, 3.634628277780511*^9}, {3.634628380161304*^9, 
   3.6346283881863737`*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{"**", "**", " ", 
    RowBox[{"(", "7", ")"}]}], " ", "TRACE", " ", "SECTION"}], " ", 
  "*****)"}]], "Input",
 CellChangeTimes->{{3.599487140596931*^9, 3.599487158852016*^9}, 
   3.599487319646489*^9, {3.599545981743082*^9, 3.5995459822866297`*^9}, {
   3.5995584095756187`*^9, 3.599558412648549*^9}, {3.615727719922847*^9, 
   3.615727720122308*^9}, 3.615731546268799*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"IsBridge", "[", 
   RowBox[{"w_", ",", "i_", ",", "j_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"n", ",", "res", ",", "k"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"n", " ", "=", " ", 
       RowBox[{"GetIndex", "[", 
        RowBox[{"w", "[", 
         RowBox[{"[", "i", "]"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      
      RowBox[{"res", " ", "=", " ", "False"}], ";", "\[IndentingNewLine]", 
      RowBox[{"k", " ", "=", " ", "i"}], ";", "\[IndentingNewLine]", 
      RowBox[{"While", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"k", " ", "<", " ", "j"}], " ", "&&", " ", 
         RowBox[{
          RowBox[{
           RowBox[{"GetIndex", "[", 
            RowBox[{"w", "[", 
             RowBox[{"[", "k", "]"}], "]"}], "]"}], " ", "-", " ", "1"}], " ",
           "\[Equal]", " ", 
          RowBox[{"GetIndex", "[", 
           RowBox[{"w", "[", 
            RowBox[{"[", 
             RowBox[{"k", "+", "1"}], "]"}], "]"}], "]"}]}]}], "  ", ",", 
        "\[IndentingNewLine]", 
        RowBox[{"k", "++"}]}], "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"While", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"k", " ", "<", " ", "j"}], " ", "&&", 
         RowBox[{
          RowBox[{
           RowBox[{"GetIndex", "[", 
            RowBox[{"w", "[", 
             RowBox[{"[", "k", " ", "]"}], "]"}], "]"}], "  ", "+", " ", 
           "1"}], "\[Equal]", " ", 
          RowBox[{"GetIndex", "[", 
           RowBox[{"w", "[", 
            RowBox[{"[", 
             RowBox[{"k", "+", "1"}], "]"}], "]"}], "]"}]}]}], "  ", ",", 
        "\[IndentingNewLine]", 
        RowBox[{"k", "++"}]}], "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"k", "\[Equal]", "j"}]}], ")"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.599478862557074*^9, 3.599479031364663*^9}, {
  3.599479828094728*^9, 3.599479835374967*^9}, {3.599479912587101*^9, 
  3.599479936633424*^9}, {3.599479994312755*^9, 3.599480058870554*^9}, {
  3.5994801389477177`*^9, 3.5994801577078857`*^9}, {3.599480194432148*^9, 
  3.599480259454707*^9}, {3.5994888695873623`*^9, 3.5994888708830137`*^9}, {
  3.615732639286832*^9, 3.6157326558138742`*^9}, {3.6345569458545847`*^9, 
  3.634556949751211*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Bridge", "[", 
    RowBox[{"w_", ",", " ", "i_", ",", " ", "j_"}], "]"}], " ", ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "offset", ",", "newPos", ",", "newW", ",", "newI", ",", "k", ",", 
       "newJ", ",", "l", ",", "lowerIndPos", ",", "tmp"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"offset", " ", "=", " ", "0"}], ";", "\[IndentingNewLine]", 
       RowBox[{"newW", " ", "=", " ", "w"}], ";", "\[IndentingNewLine]", 
       RowBox[{"newI", " ", "=", " ", "i"}], ";", "\[IndentingNewLine]", 
       RowBox[{"newPos", "=", 
        RowBox[{"Flatten", "[", 
         RowBox[{"Position", "[", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"Abs", "[", 
              RowBox[{
               RowBox[{"GetIndex", "[", 
                RowBox[{"newW", "[", 
                 RowBox[{"[", "i", "]"}], "]"}], "]"}], "-", "#"}], "]"}], 
             "&"}], "/@", 
            RowBox[{"GetIndex", "/@", 
             RowBox[{"Take", "[", 
              RowBox[{"w", ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"i", "+", "1"}], ",", 
                 RowBox[{"j", "-", "1"}]}], "}"}]}], "]"}]}]}], ",", "1"}], 
          "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Length", "[", "newPos", "]"}], ">", "0"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"newI", "=", 
           RowBox[{"i", "+", 
            RowBox[{"newPos", "[", 
             RowBox[{"[", "1", "]"}], "]"}], "-", "1"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"newJ", "=", 
           RowBox[{"i", "+", 
            RowBox[{"Last", "[", "newPos", "]"}], "+", "1"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"newI", ">", "i"}], ",", 
            RowBox[{
             RowBox[{"tmp", "=", 
              RowBox[{"newW", "[", 
               RowBox[{"[", "i", "]"}], "]"}]}], ";", 
             RowBox[{"newW", "=", 
              RowBox[{"Insert", "[", 
               RowBox[{
                RowBox[{"Delete", "[", 
                 RowBox[{"newW", ",", "i"}], "]"}], ",", "tmp", ",", "newI"}],
                "]"}]}]}]}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"newJ", "<", " ", "j"}], "&&", " ", 
             RowBox[{"newI", "<", "newJ"}]}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"tmp", "=", 
              RowBox[{"newW", "[", 
               RowBox[{"[", "j", "]"}], "]"}]}], ";", 
             RowBox[{"newW", "=", 
              RowBox[{"Insert", "[", 
               RowBox[{
                RowBox[{"Delete", "[", 
                 RowBox[{"newW", ",", "j"}], "]"}], ",", "tmp", ",", "newJ"}],
                "]"}]}]}], ",", 
            RowBox[{"newJ", "=", "j"}]}], "]"}]}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"tmp", "=", 
           RowBox[{"newW", "[", 
            RowBox[{"[", "i", "]"}], "]"}]}], ";", 
          RowBox[{"newW", "=", 
           RowBox[{"Insert", "[", 
            RowBox[{
             RowBox[{"Delete", "[", 
              RowBox[{"newW", ",", "i"}], "]"}], ",", "tmp", ",", 
             RowBox[{"j", "-", "1"}]}], "]"}]}], ";", 
          RowBox[{"newI", "=", 
           RowBox[{"j", "-", "1"}]}], ";", 
          RowBox[{"newJ", "=", "j"}], ";"}]}], "]"}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"newI", "\[Equal]", 
          RowBox[{"newJ", "-", "1"}]}], " ", ",", "newW", ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"IsBridge", "[", 
            RowBox[{"newW", ",", "newI", ",", "newJ"}], "]"}], ",", 
           RowBox[{"InvertBridge", "[", 
            RowBox[{"newW", ",", "newI", ",", "newJ"}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"lowerIndPos", "=", 
             RowBox[{"Flatten", "[", 
              RowBox[{"Position", "[", 
               RowBox[{
                RowBox[{"GetIndex", "/@", 
                 RowBox[{"Take", "[", 
                  RowBox[{"w", ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"newI", "+", "1"}], ",", 
                    RowBox[{"newJ", "-", "1"}]}], "}"}]}], "]"}]}], ",", 
                RowBox[{
                 RowBox[{"GetIndex", "[", 
                  RowBox[{"newW", "[", 
                   RowBox[{"[", "newI", "]"}], "]"}], "]"}], "-", "1"}]}], 
               "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"Length", "[", "lowerIndPos", "]"}], "<", "2"}], ",", 
              "newW", ",", 
              RowBox[{"Bridge", "[", 
               RowBox[{"newW", ",", " ", 
                RowBox[{"newI", "+", 
                 RowBox[{"lowerIndPos", "[", 
                  RowBox[{"[", "1", "]"}], "]"}]}], ",", 
                RowBox[{"newI", "+", 
                 RowBox[{"lowerIndPos", "[", 
                  RowBox[{"[", "2", "]"}], "]"}]}]}], "]"}]}], "]"}]}]}], 
          "]"}]}], "]"}]}], ")"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.599477657586033*^9, 3.5994777079692593`*^9}, {
   3.599477850492787*^9, 3.599477894969952*^9}, {3.599478231758442*^9, 
   3.599478310208596*^9}, {3.5994784460868397`*^9, 3.599478495780053*^9}, {
   3.599478532546419*^9, 3.599478565969482*^9}, {3.599478623358737*^9, 
   3.5994786674528027`*^9}, {3.5994787101392117`*^9, 3.599478732362143*^9}, {
   3.599481164938966*^9, 3.5994812566639957`*^9}, {3.599481585802968*^9, 
   3.5994816352390203`*^9}, {3.5994816694325943`*^9, 3.599481775925362*^9}, {
   3.599481857839038*^9, 3.599481996976276*^9}, {3.5994820894330807`*^9, 
   3.599482224211853*^9}, {3.599482281602371*^9, 3.599482359794014*^9}, {
   3.599482424477868*^9, 3.599482429741948*^9}, {3.5994824643475227`*^9, 
   3.599482579989534*^9}, {3.599482610808777*^9, 3.599482612593238*^9}, {
   3.599482646870152*^9, 3.5994826576837063`*^9}, {3.5994826908674088`*^9, 
   3.599482917177973*^9}, {3.599482958008349*^9, 3.59948296191604*^9}, {
   3.599483019946072*^9, 3.599483060381068*^9}, {3.599483199583514*^9, 
   3.5994832544825563`*^9}, {3.599483298047689*^9, 3.599483344622325*^9}, {
   3.599483405770802*^9, 3.599483409305328*^9}, {3.599483552342911*^9, 
   3.5994835613845387`*^9}, {3.59948367080009*^9, 3.599483671619753*^9}, {
   3.599483788268447*^9, 3.599483852227619*^9}, {3.599483906916924*^9, 
   3.599483909297586*^9}, {3.599483944389908*^9, 3.5994839449942427`*^9}, {
   3.599484034302825*^9, 3.599484046302726*^9}, {3.599485162544161*^9, 
   3.5994851868451557`*^9}, {3.599485251852289*^9, 3.599485254604248*^9}, {
   3.599485742298396*^9, 3.599485797367331*^9}, {3.599485840901271*^9, 
   3.599485844455907*^9}, {3.599485926930182*^9, 3.599485931269018*^9}, {
   3.599486023118752*^9, 3.599486023738257*^9}, {3.599486062472921*^9, 
   3.5994862404550047`*^9}, {3.599486292855522*^9, 3.5994862984201603`*^9}, {
   3.599486382263721*^9, 3.599486448459072*^9}, {3.599486516301484*^9, 
   3.5994865439094753`*^9}, {3.5994867872126713`*^9, 
   3.5994867913090553`*^9}, {3.6030263547296057`*^9, 3.603026365096244*^9}, {
   3.603026410576532*^9, 3.603026418525775*^9}, {3.615732658279787*^9, 
   3.615732676370223*^9}, {3.633436654118394*^9, 3.6334367257922564`*^9}, {
   3.63369391812131*^9, 3.633693982706842*^9}, {3.633694119350212*^9, 
   3.6336941544689503`*^9}, {3.633694318021604*^9, 3.633694353348724*^9}, {
   3.633694392901725*^9, 3.633694393875639*^9}, {3.634462924104227*^9, 
   3.634462924570675*^9}, {3.6344630666003942`*^9, 3.634463178985022*^9}, {
   3.634469280242079*^9, 3.6344692956345053`*^9}, {3.634469358547914*^9, 
   3.6344696261595383`*^9}, {3.634469658827738*^9, 3.634469661938937*^9}, {
   3.634469692792588*^9, 3.634469700534665*^9}, {3.634469775427915*^9, 
   3.6344697772490788`*^9}, {3.634469808068297*^9, 3.634469834662319*^9}, {
   3.634469891640335*^9, 3.634469894136795*^9}, {3.6344699626215897`*^9, 
   3.6344699774808893`*^9}, {3.6344700447758827`*^9, 3.634470048766913*^9}, {
   3.634470082097299*^9, 3.6344700823742*^9}, {3.63447164464846*^9, 
   3.6344716451010923`*^9}, {3.634471903027487*^9, 3.634471914993001*^9}, {
   3.634472282935197*^9, 3.634472283192274*^9}, {3.634473312712413*^9, 
   3.634473314039648*^9}, {3.6344733685266542`*^9, 3.634473377401568*^9}, {
   3.634473452963785*^9, 3.6344735032070627`*^9}, {3.634473552214553*^9, 
   3.634473560337296*^9}, {3.634473756480145*^9, 3.634473848703528*^9}, {
   3.634474184564267*^9, 3.6344742956421556`*^9}, {3.634474342847629*^9, 
   3.634474448565733*^9}, {3.634474482066113*^9, 3.634474552234664*^9}, {
   3.6344748581509857`*^9, 3.634474890351973*^9}, {3.6344749236783113`*^9, 
   3.634474928079502*^9}, {3.634474966377673*^9, 3.634475058869521*^9}, {
   3.634475132651276*^9, 3.634475175523004*^9}, {3.6344752917692966`*^9, 
   3.6344753138454247`*^9}, 3.634475369052248*^9, {3.634475501425746*^9, 
   3.634475513934744*^9}, {3.634475555488467*^9, 3.634475558449007*^9}, {
   3.6344757439590473`*^9, 3.634475755534865*^9}, {3.634475886463608*^9, 
   3.634475889482955*^9}, {3.634556282191977*^9, 3.634556285104982*^9}, {
   3.6345563342443867`*^9, 3.6345564010034246`*^9}, {3.634556440143345*^9, 
   3.6345564971619167`*^9}, {3.634556705833623*^9, 3.634556769434951*^9}, {
   3.634556818355749*^9, 3.634556964812716*^9}, {3.634557212687312*^9, 
   3.6345572353428392`*^9}, {3.634557271017146*^9, 3.634557275739492*^9}, {
   3.6345573121394176`*^9, 3.63455732179914*^9}, {3.634557357383177*^9, 
   3.634557409909768*^9}, {3.63455747486234*^9, 3.634557598704399*^9}, 
   3.634557733444717*^9, {3.634557864702787*^9, 3.63455786655942*^9}, {
   3.634557977065872*^9, 3.634558019535294*^9}, 3.6345580529245663`*^9, {
   3.634625776222533*^9, 3.634625777678953*^9}, {3.6346464241143923`*^9, 
   3.6346464246833677`*^9}, {3.6346465535371513`*^9, 3.634646700082138*^9}, {
   3.634646779659223*^9, 3.634646781787828*^9}, {3.634646819906095*^9, 
   3.6346468203552217`*^9}, {3.634646945579253*^9, 3.634646947412589*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"InvertBridge", "[", 
   RowBox[{"w_", ",", "i_", ",", "j_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "newW", ",", "mid", ",", "diff", ",", "max", ",", "min", ",", "k"}], 
     "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"newW", " ", "=", " ", "w"}], ";", "\[IndentingNewLine]", 
      RowBox[{"mid", " ", "=", " ", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"i", "+", "j"}], ")"}], "/", "2"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"diff", " ", "=", " ", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"j", "-", "i"}], ")"}], "/", "2"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"max", " ", "=", " ", 
       RowBox[{"GetIndex", "[", 
        RowBox[{"newW", "[", 
         RowBox[{"[", "i", "]"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      
      RowBox[{"min", " ", "=", " ", 
       RowBox[{"GetIndex", " ", "[", 
        RowBox[{"newW", "[", 
         RowBox[{"[", "mid", "]"}], "]"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"newW", " ", "=", " ", 
       RowBox[{"Drop", "[", 
        RowBox[{"newW", ",", " ", 
         RowBox[{"{", 
          RowBox[{"i", ",", "j"}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"For", "[", 
       RowBox[{
        RowBox[{"k", "=", "0"}], ",", " ", 
        RowBox[{"k", "<", "diff"}], " ", ",", " ", 
        RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
        RowBox[{"newW", " ", "=", " ", 
         RowBox[{"Insert", "[", 
          RowBox[{"newW", ",", 
           SubscriptBox["g", 
            RowBox[{"min", "+", "k"}]], ",", "i"}], "]"}]}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"newW", " ", "=", " ", 
       RowBox[{"Insert", "[", 
        RowBox[{"newW", ",", " ", 
         SubscriptBox["g", "max"], ",", "i"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"For", "[", 
       RowBox[{
        RowBox[{"k", "=", 
         RowBox[{"diff", "-", "1"}]}], ",", " ", 
        RowBox[{"k", ">", 
         RowBox[{"-", "1"}]}], ",", " ", 
        RowBox[{"k", "--"}], ",", "\[IndentingNewLine]", 
        RowBox[{"newW", " ", "=", " ", 
         RowBox[{"Insert", "[", 
          RowBox[{"newW", ",", 
           SubscriptBox["g", 
            RowBox[{"min", "+", "k"}]], ",", "i"}], "]"}]}]}], "]"}], ";", 
      "\[IndentingNewLine]", "newW"}], ")"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"FindMaxEik", "[", "w_", "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"lastPos", ",", "index2List", ",", "maxPos"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"lastPos", " ", ":=", " ", 
       RowBox[{"LastE", "[", "w", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"index2List", ":=", " ", 
       RowBox[{"GetIndex2", " ", "/@", " ", 
        RowBox[{"Take", "[", 
         RowBox[{"w", ",", "lastPos"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"maxPos", " ", ":=", 
       RowBox[{"Flatten", "[", 
        RowBox[{
         RowBox[{"Position", "[", 
          RowBox[{"index2List", ",", 
           RowBox[{"Max", "[", "index2List", "]"}]}], "]"}], ",", "1"}], 
        "]"}]}], ";", "\[IndentingNewLine]", "maxPos"}]}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ERelation", "[", 
   RowBox[{"w_", ",", "maxPos_"}], "]"}], ":=", " ", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "newW", ",", "i", ",", "pos", ",", "posNext", ",", "ind1", ",", "ind2"}],
      "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"For", "[", 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", " ", 
        RowBox[{"i", "<", " ", 
         RowBox[{"Length", "[", "maxPos", "]"}]}], ",", " ", 
        RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"pos", "=", 
          RowBox[{"maxPos", "[", 
           RowBox[{"[", "i", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"posNext", " ", "=", 
          RowBox[{"maxPos", "[", 
           RowBox[{"[", 
            RowBox[{"i", "+", "1"}], "]"}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"ind1", "=", 
          RowBox[{"GetIndex1", "[", 
           RowBox[{"w", "[", 
            RowBox[{"[", "pos", "]"}], "]"}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"ind2", "=", 
          RowBox[{"GetIndex1", "[", 
           RowBox[{"w", "[", 
            RowBox[{"[", "posNext", "]"}], "]"}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"newW", "=", 
          RowBox[{"Insert", "[", 
           RowBox[{
            RowBox[{"Delete", "[", 
             RowBox[{"w", ",", "pos"}], "]"}], ",", 
            SubscriptBox["e", 
             RowBox[{"ind1", ",", "ind2"}]], ",", "pos"}], "]"}]}], ";"}]}], 
       "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{
         RowBox[{"ReplacePart", "[", 
          RowBox[{"w", ",", " ", 
           RowBox[{"pos", "\[Rule]", " ", 
            RowBox[{"Subscript", "[", 
             RowBox[{"e", ",", 
              RowBox[{"GetIndex1", "[", 
               RowBox[{"w", "[", 
                RowBox[{"[", "pos", "]"}], "]"}], "]"}], ",", 
              RowBox[{"GetIndex1", "[", 
               RowBox[{"w", "[", 
                RowBox[{"[", 
                 RowBox[{"pos", "+", "1"}], "]"}], "]"}], "]"}]}], "]"}]}]}], 
          "]"}], "]"}], ";"}], "*)"}], "\[IndentingNewLine]", "newW"}], 
     ")"}]}], "]"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.603025995048312*^9, 3.603026003830532*^9}, {
   3.60302603974163*^9, 3.6030260410694513`*^9}, {3.6030260782602673`*^9, 
   3.6030261201891193`*^9}, {3.60302618356981*^9, 3.603026340444729*^9}, {
   3.603026462296578*^9, 3.603026480958321*^9}, {3.603026521125575*^9, 
   3.603026530956831*^9}, {3.603026567029142*^9, 3.603026604073305*^9}, {
   3.603026644095276*^9, 3.603026673886209*^9}, {3.603026906917145*^9, 
   3.603027030095624*^9}, {3.603027096252777*^9, 3.603027099714405*^9}, {
   3.603027137171878*^9, 3.6030271467668047`*^9}, {3.603027184071752*^9, 
   3.603027313395796*^9}, {3.603030823119199*^9, 3.603030828900975*^9}, {
   3.615732679260373*^9, 3.615732691044235*^9}, {3.624368494423994*^9, 
   3.6243685960160103`*^9}, {3.624368630767815*^9, 3.6243688941861887`*^9}, 
   3.624369008473431*^9, {3.624369045322411*^9, 3.624369057684157*^9}, {
   3.624369097951275*^9, 3.6243692074214983`*^9}, {3.6243692557737207`*^9, 
   3.624369324207261*^9}, {3.624369372065027*^9, 3.624369463937467*^9}, {
   3.624369526969123*^9, 3.624369537951158*^9}, {3.624371397872233*^9, 
   3.62437145612361*^9}, {3.624371501534891*^9, 3.624371565066711*^9}, {
   3.624371610306491*^9, 3.624371634856147*^9}, 3.6243716911282263`*^9, {
   3.6279093845652447`*^9, 3.6279093848109922`*^9}, {3.634034014966138*^9, 
   3.634034015138269*^9}, {3.6340343018758183`*^9, 3.634034410684423*^9}, {
   3.634034514209054*^9, 3.634034574541082*^9}, {3.6340346061290293`*^9, 
   3.634034638154077*^9}, {3.6340347147388763`*^9, 3.63403471773022*^9}, {
   3.634034866879137*^9, 3.634034870448388*^9}, {3.634035716687398*^9, 
   3.634035724932632*^9}, {3.6340363402279997`*^9, 3.6340363477912483`*^9}, {
   3.634384771468629*^9, 3.634384777191696*^9}, {3.634384887768054*^9, 
   3.6343848916690073`*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{"NewEIndex", "[", 
    RowBox[{"eIndex_", ",", "gIndices_"}], "]"}], ":=", " ", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"i", ",", "eIndexNew"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"eIndexNew", " ", ":=", "eIndex"}], ";", "\[IndentingNewLine]", 
      
      RowBox[{"For", "[", 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", 
        RowBox[{"i", "\[LessEqual]", 
         RowBox[{"Length", "[", "gIndices", "]"}]}], ",", 
        RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Which", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"gIndices", "[", 
            RowBox[{"[", "i", "]"}], "]"}], "\[Equal]", " ", 
           RowBox[{"eIndexNew", "-", "1"}]}], ",", 
          RowBox[{"eIndexNew", "=", 
           RowBox[{"eIndexNew", "-", "1"}]}], ",", 
          RowBox[{
           RowBox[{"gIndices", "[", 
            RowBox[{"[", "i", "]"}], "]"}], "\[Equal]", "eIndexNew"}], ",", 
          RowBox[{"eIndexNew", "=", 
           RowBox[{"eIndexNew", "+", "1"}]}]}], "]"}]}], "]"}], ";", 
      "\[IndentingNewLine]", "eIndexNew"}]}], "]"}]}], "*)"}]], "Input",
 CellChangeTimes->{{3.624371241740416*^9, 3.624371284092102*^9}, {
   3.624371319452406*^9, 3.624371350443153*^9}, {3.62437169804706*^9, 
   3.62437188299082*^9}, 3.624371977808531*^9, {3.627910953773933*^9, 
   3.627911016053219*^9}, {3.634384766076413*^9, 3.634384769235861*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"NewEIndices", "[", 
   RowBox[{"eIndex1_", ",", "eIndex2_", ",", "gIndices_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"perm", ",", "eIndex1new", ",", "eIndex2new"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"perm", "=", 
      RowBox[{"PermutationProduct", " ", "@@", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"Cycles", "[", 
           RowBox[{"{", 
            RowBox[{"{", 
             RowBox[{"#", ",", 
              RowBox[{"#", "+", "1"}]}], "}"}], "}"}], "]"}], "&"}], "/@", 
         "gIndices"}], ")"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"eIndex1new", "=", 
      RowBox[{"PermutationReplace", "[", 
       RowBox[{"eIndex1", ",", "perm"}], "]"}]}], ";", "\[IndentingNewLine]", 
     
     RowBox[{"eIndex2new", "=", 
      RowBox[{"PermutationReplace", "[", 
       RowBox[{"eIndex2", ",", "perm"}], "]"}]}], ";", "\[IndentingNewLine]", 
     
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Min", "[", 
        RowBox[{"eIndex1new", ",", "eIndex2new"}], "]"}], ",", 
       RowBox[{"Max", "[", 
        RowBox[{"eIndex1new", ",", "eIndex2new"}], "]"}]}], "}"}]}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.634384636562654*^9, 3.634384705289291*^9}, {
   3.634384737371146*^9, 3.634384752540502*^9}, 3.634384786289674*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"TraceYHP", "[", "L_", "]"}], ":=", 
  RowBox[{
   RowBox[{"TraceYHP", "[", "L", "]"}], "=", "\[IndentingNewLine]", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", " ", 
      RowBox[{
      "newL", ",", "poly", ",", "w", ",", " ", "fstG", ",", "maxPos", ",", 
       "maxE", " ", ",", "minEInd", ",", " ", "maxEInd", ",", "newInd", ",", 
       "indicesG", ",", "posMaxG", ",", "maxG"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Length", "[", 
         RowBox[{"L", "[", 
          RowBox[{"[", "2", "]"}], "]"}], "]"}], "\[Equal]", "0"}], ",", 
       RowBox[{"L", "[", 
        RowBox[{"[", "1", "]"}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"newL", " ", ":=", 
          RowBox[{"SimplifyWord", "/@", " ", 
           RowBox[{"ReduceWord", "[", 
            RowBox[{"SimplifyWord", "[", "L", "]"}], "]"}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Length", "[", "newL", "]"}], ">", "1"}], ",", 
           RowBox[{"Plus", " ", "@@", " ", 
            RowBox[{"TraceYHP", " ", "/@", " ", "newL"}]}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"poly", " ", "=", " ", 
              RowBox[{
               RowBox[{"newL", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "[", 
               RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
             RowBox[{"w", " ", "=", " ", 
              RowBox[{
               RowBox[{"newL", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "[", 
               RowBox[{"[", "2", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{
               RowBox[{
                RowBox[{
                "Find", " ", "first", " ", "occurence", " ", "of", " ", 
                 RowBox[{"G", ".", " ", "fstG"}]}], " ", "=", " ", 
                RowBox[{"0", " ", "iff", " ", "only", " ", 
                 RowBox[{"t", "'"}], 
                 RowBox[{"_i", "'"}], "s"}]}], ",", " ", 
               RowBox[{"fstG", "=", 
                RowBox[{"1", " ", "iff", " ", "only", " ", 
                 RowBox[{"g_i", "'"}], "s"}]}]}], " ", "*)"}], 
             "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"MatchQ", "[", 
                RowBox[{
                 RowBox[{"Last", "[", "w", "]"}], ",", "gPat"}], "]"}], ",", 
               RowBox[{"fstG", " ", "=", 
                RowBox[{"FirstG", "[", "w", "]"}]}], ",", 
               RowBox[{"fstG", "=", "0"}]}], "]"}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{"(*", " ", 
              RowBox[{
               RowBox[{
                RowBox[{"(", "1", ")"}], " ", "Only", " ", "e_i"}], ",", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"k", "'"}], "s"}], " ", "=", 
                 RowBox[{">", " ", 
                  RowBox[{"rule", " ", "4"}]}]}], ";"}]}], " ", "*)"}], 
             "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"fstG", " ", "\[Equal]", " ", "0"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"maxPos", " ", "=", " ", 
                  RowBox[{"FindMaxEik", "[", "w", "]"}]}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Length", "[", "maxPos", "]"}], "\[Equal]", " ", 
                    "1"}], ",", " ", 
                   RowBox[{"TraceYHP", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"poly", "*", "F"}], ",", 
                    RowBox[{"Delete", "[", 
                    RowBox[{"w", ",", 
                    RowBox[{"maxPos", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], "}"}], "]"}], 
                   ",", "\[IndentingNewLine]", 
                   RowBox[{"TraceYHP", "[", 
                    RowBox[{"{", 
                    RowBox[{"poly", ",", 
                    RowBox[{"ERelation", "[", 
                    RowBox[{"w", ",", "maxPos"}], "]"}]}], "}"}], "]"}]}], 
                  "]"}]}], ")"}], ",", "\[IndentingNewLine]", 
               RowBox[{"(*", " ", 
                RowBox[{
                 RowBox[{"(", "2", ")"}], " ", "Only", " ", 
                 RowBox[{"g_i", "'"}], "s"}], " ", "*)"}], 
               "\[IndentingNewLine]", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"fstG", " ", "\[Equal]", " ", "1"}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"(*", " ", 
                  RowBox[{
                  "Find", " ", "all", " ", "occurences", " ", "of", " ", 
                   "all", " ", 
                   RowBox[{"g_i", "'"}], "s", " ", "with", " ", "maximum", 
                   " ", "index"}], " ", "*)"}], "\[IndentingNewLine]", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"indicesG", " ", "=", " ", 
                    RowBox[{"GetIndex", " ", "/@", " ", "w"}]}], ";", 
                   "\[IndentingNewLine]", 
                   RowBox[{"posMaxG", " ", "=", " ", 
                    RowBox[{"Flatten", "[", 
                    RowBox[{
                    RowBox[{"Position", "[", 
                    RowBox[{"indicesG", ",", 
                    RowBox[{"Max", "[", "indicesG", "]"}]}], "]"}], ",", 
                    "1"}], "]"}]}], ";", " ", "\[IndentingNewLine]", 
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", "posMaxG", "]"}], ">", "1"}], ",", 
                    " ", "\[IndentingNewLine]", 
                    RowBox[{"(*", " ", 
                    RowBox[{
                    RowBox[{"Many", " ", 
                    RowBox[{"g_i", "'"}], "s"}], " ", "=", 
                    RowBox[{">", " ", "Bridge"}]}], " ", "*)"}], 
                    RowBox[{"TraceYHP", "[", 
                    RowBox[{"{", 
                    RowBox[{"poly", ",", 
                    RowBox[{"Bridge", "[", 
                    RowBox[{"w", ",", 
                    RowBox[{"posMaxG", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"posMaxG", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "]"}]}], "}"}], "]"}], 
                    ",", "\[IndentingNewLine]", 
                    RowBox[{"(*", " ", 
                    RowBox[{
                    RowBox[{"One", " ", "g_i"}], " ", "=", 
                    RowBox[{">", " ", 
                    RowBox[{"rule", " ", "3"}]}]}], " ", "*)"}], 
                    "\[IndentingNewLine]", 
                    RowBox[{"z", "*", 
                    RowBox[{"TraceYHP", "[", 
                    RowBox[{"{", 
                    RowBox[{"poly", ",", 
                    RowBox[{"Delete", "[", 
                    RowBox[{"w", ",", 
                    RowBox[{"posMaxG", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], "}"}], 
                    "]"}]}]}], "]"}]}], ")"}], ",", "\[IndentingNewLine]", 
                 RowBox[{"(*", " ", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"(", "3", ")"}], " ", "e_i"}], ",", 
                   RowBox[{
                    RowBox[{"k", "'"}], "s", " ", "and", " ", 
                    RowBox[{"g_i", "'"}], "s"}]}], " ", "*)"}], 
                 "\[IndentingNewLine]", 
                 RowBox[{"(*", " ", 
                  RowBox[{
                  "Find", " ", "positions", " ", "of", " ", "maximum", " ", 
                   "indices", " ", "for", " ", 
                   RowBox[{"g_i", "'"}], "s", " ", "and", " ", "e_", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"i", ",", "k"}], "}"}], "'"}], "s"}], " ", "*)"}],
                  "\[IndentingNewLine]", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"indicesG", " ", "=", " ", 
                    RowBox[{"GetIndex", " ", "/@", " ", 
                    RowBox[{"Take", "[", 
                    RowBox[{"w", ",", " ", 
                    RowBox[{"{", 
                    RowBox[{"fstG", ",", " ", 
                    RowBox[{"Length", "[", "w", "]"}]}], "}"}]}], "]"}]}]}], 
                   ";", "\[IndentingNewLine]", 
                   RowBox[{"maxPos", " ", "=", " ", 
                    RowBox[{"FindMaxEik", "[", "w", "]"}]}], ";", 
                   "\[IndentingNewLine]", 
                   RowBox[{"maxE", " ", "=", " ", 
                    RowBox[{"Last", "[", "maxPos", "]"}]}], ";", 
                   "\[IndentingNewLine]", 
                   RowBox[{"maxEInd", " ", "=", " ", 
                    RowBox[{"GetIndex2", "[", 
                    RowBox[{"w", "[", 
                    RowBox[{"[", "maxE", "]"}], "]"}], "]"}]}], ";", 
                   "\[IndentingNewLine]", 
                   RowBox[{"minEInd", " ", "=", " ", 
                    RowBox[{"GetIndex1", "[", 
                    RowBox[{"w", "[", 
                    RowBox[{"[", "maxE", "]"}], "]"}], "]"}]}], ";", 
                   "\[IndentingNewLine]", 
                   RowBox[{"maxG", " ", "=", 
                    RowBox[{"Max", "[", "indicesG", "]"}]}], ";", 
                   "\[IndentingNewLine]", "\[IndentingNewLine]", 
                   RowBox[{"(*", " ", 
                    RowBox[{
                    RowBox[{"Max", " ", "index", " ", "of", " ", "e_i"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"k", "'"}], "s"}], " ", ">", " ", 
                    RowBox[{
                    RowBox[{"max", " ", "index", " ", "of", " ", 
                    RowBox[{"g_i", "'"}], "s"}], " ", "+", " ", "1"}]}], " ", 
                    "=", 
                    RowBox[{">", " ", 
                    RowBox[{"rule", " ", "4"}]}]}]}], " ", "*)"}], 
                   "\[IndentingNewLine]", 
                   RowBox[{"Which", "[", 
                    RowBox[{
                    RowBox[{"maxEInd", "  ", ">", " ", 
                    RowBox[{"maxG", " ", "+", "1"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", "maxPos", "]"}], "\[Equal]", " ", 
                    "1"}], ",", " ", 
                    RowBox[{"F", "*", 
                    RowBox[{"TraceYHP", "[", 
                    RowBox[{"{", 
                    RowBox[{"poly", ",", 
                    RowBox[{"Delete", "[", 
                    RowBox[{"w", ",", 
                    RowBox[{"maxPos", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], "}"}], "]"}]}],
                     ",", "\[IndentingNewLine]", 
                    RowBox[{"TraceYHP", "[", 
                    RowBox[{"{", 
                    RowBox[{"poly", ",", 
                    RowBox[{"ERelation", "[", 
                    RowBox[{"w", ",", "maxPos"}], "]"}]}], "}"}], "]"}]}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"(*", " ", 
                    RowBox[{
                    RowBox[{"Max", " ", "index", " ", "of", " ", "e_i"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"k", "'"}], "s"}], " ", "<", " ", 
                    RowBox[{
                    RowBox[{"max", " ", "index", " ", "of", " ", 
                    RowBox[{"g_i", "'"}], "s"}], " ", "+", " ", "1"}]}], " ", 
                    "=", 
                    RowBox[{">", " ", 
                    RowBox[{
                    "rule", " ", "3", " ", "or", " ", "bridge"}]}]}]}], " ", 
                    "*)"}], "\[IndentingNewLine]", 
                    RowBox[{"maxEInd", " ", "<", " ", 
                    RowBox[{"maxG", " ", "+", " ", "1"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"posMaxG", " ", "=", " ", 
                    RowBox[{"Flatten", "[", 
                    RowBox[{
                    RowBox[{"Position", "[", 
                    RowBox[{"indicesG", ",", "maxG"}], "]"}], ",", "1"}], 
                    "]"}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", "posMaxG", "]"}], ">", "1"}], ",", 
                    " ", "\[IndentingNewLine]", 
                    RowBox[{"(*", " ", 
                    RowBox[{
                    RowBox[{"Many", " ", 
                    RowBox[{"g_i", "'"}], "s"}], " ", "=", 
                    RowBox[{">", " ", "Bridge"}]}], " ", "*)"}], 
                    RowBox[{"TraceYHP", "[", 
                    RowBox[{"{", 
                    RowBox[{"poly", ",", 
                    RowBox[{"Bridge", "[", 
                    RowBox[{"w", ",", 
                    RowBox[{"fstG", " ", "-", " ", "1", "+", " ", 
                    RowBox[{"posMaxG", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ",", 
                    RowBox[{"fstG", " ", "-", "1", "+", 
                    RowBox[{"posMaxG", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}]}], "]"}]}], "}"}], "]"}],
                     ",", "\[IndentingNewLine]", 
                    RowBox[{"(*", " ", 
                    RowBox[{
                    RowBox[{"One", " ", "g_i"}], " ", "=", 
                    RowBox[{">", " ", 
                    RowBox[{"rule", " ", "3"}]}]}], " ", "*)"}], 
                    "\[IndentingNewLine]", 
                    RowBox[{"z", "*", 
                    RowBox[{"TraceYHP", "[", 
                    RowBox[{"{", 
                    RowBox[{"poly", ",", 
                    RowBox[{"Delete", "[", 
                    RowBox[{"w", ",", 
                    RowBox[{"fstG", "-", "1", " ", "+", " ", 
                    RowBox[{"posMaxG", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}]}], "]"}]}], "}"}], 
                    "]"}]}]}], "]"}]}], "\[IndentingNewLine]", ")"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"(*", " ", 
                    RowBox[{
                    RowBox[{"Max", " ", "index", " ", "of", " ", "e_i"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"k", "'"}], "s"}], " ", "<", " ", 
                    RowBox[{
                    RowBox[{"max", " ", "index", " ", "of", " ", 
                    RowBox[{"g_i", "'"}], "s"}], " ", "+", " ", "2"}]}], " ", 
                    "=", 
                    RowBox[{">", " ", 
                    RowBox[{"rules", " ", 
                    RowBox[{"4", "/", "5"}], " ", "or", " ", "bridge"}]}]}]}],
                     " ", "*)"}], "\[IndentingNewLine]", 
                    RowBox[{"maxEInd", " ", "\[Equal]", " ", 
                    RowBox[{"maxG", " ", "+", " ", "1"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"posMaxG", " ", "=", " ", 
                    RowBox[{"Flatten", "[", 
                    RowBox[{
                    RowBox[{"Position", "[", 
                    RowBox[{"indicesG", ",", "maxG"}], "]"}], ",", "1"}], 
                    "]"}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", "posMaxG", "]"}], ">", "1"}], ",", 
                    " ", "\[IndentingNewLine]", 
                    RowBox[{"(*", " ", 
                    RowBox[{
                    RowBox[{"Many", " ", 
                    RowBox[{"g_i", "'"}], "s"}], " ", "=", 
                    RowBox[{">", " ", "Bridge"}]}], " ", "*)"}], 
                    RowBox[{"TraceYHP", "[", 
                    RowBox[{"{", 
                    RowBox[{"poly", ",", 
                    RowBox[{"Bridge", "[", 
                    RowBox[{"w", ",", 
                    RowBox[{"fstG", " ", "-", "1", "+", " ", 
                    RowBox[{"posMaxG", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ",", 
                    RowBox[{"fstG", " ", "-", "1", "+", 
                    RowBox[{"posMaxG", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}]}], "]"}]}], "}"}], "]"}],
                     ",", "\[IndentingNewLine]", 
                    RowBox[{"(*", " ", 
                    RowBox[{
                    RowBox[{"One", " ", "g_i"}], " ", "=", 
                    RowBox[{">", " ", 
                    RowBox[{"rule", " ", "3"}]}]}], " ", "*)"}], 
                    "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", "maxPos", "]"}], "\[Equal]", " ", 
                    "1"}], " ", ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"newInd", "=", 
                    RowBox[{"NewEIndices", "[", 
                    RowBox[{"minEInd", ",", "maxEInd", ",", 
                    RowBox[{"Take", "[", 
                    RowBox[{"indicesG", ",", 
                    RowBox[{"posMaxG", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"newInd", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", " ", "maxG"}],
                     ",", 
                    RowBox[{"z", "*", 
                    RowBox[{"TraceYHP", "[", 
                    RowBox[{"{", 
                    RowBox[{"poly", ",", 
                    RowBox[{"Delete", "[", 
                    RowBox[{"w", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", "maxE", "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"fstG", " ", "-", "1", "+", 
                    RowBox[{"posMaxG", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], "}"}]}], "}"}]}], 
                    "]"}]}], "}"}], "]"}]}], ",", "\[IndentingNewLine]", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"newInd", "=", 
                    RowBox[{"NewEIndices", "[", 
                    RowBox[{
                    RowBox[{"newInd", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"newInd", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", 
                    RowBox[{"Reverse", "[", 
                    RowBox[{"Take", "[", 
                    RowBox[{"indicesG", ",", 
                    RowBox[{
                    RowBox[{"posMaxG", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "-", "1"}]}], "]"}], 
                    "]"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{"z", "*", 
                    RowBox[{"TraceYHP", "[", 
                    RowBox[{"{", 
                    RowBox[{"poly", ",", 
                    RowBox[{"Insert", "[", 
                    RowBox[{
                    RowBox[{"Delete", "[", 
                    RowBox[{"w", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", "maxE", "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"fstG", " ", "-", "1", "+", 
                    RowBox[{"posMaxG", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], "}"}]}], "}"}]}], "]"}],
                     ",", 
                    RowBox[{"Subscript", "[", 
                    RowBox[{"e", ",", 
                    RowBox[{"newInd", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"newInd", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "]"}], ",", "maxE"}], 
                    "]"}]}], "}"}], "]"}]}]}], ")"}]}], "]"}]}], 
                    "\[IndentingNewLine]", ",", 
                    RowBox[{"TraceYHP", "[", 
                    RowBox[{"{", 
                    RowBox[{"poly", ",", 
                    RowBox[{"ERelation", "[", 
                    RowBox[{"w", ",", "maxPos"}], "]"}]}], "}"}], "]"}]}], 
                    "]"}]}], "]"}]}], "\[IndentingNewLine]", ")"}]}], 
                    "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
                  ")"}]}], "\[IndentingNewLine]", "]"}]}], "]"}]}], ")"}]}], 
          "]"}]}], ")"}]}], "]"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.603013729203782*^9, 3.603013807317026*^9}, {
   3.603013903849318*^9, 3.6030140218607817`*^9}, {3.603014083433661*^9, 
   3.603014092249074*^9}, {3.603014154727275*^9, 3.6030141762071047`*^9}, {
   3.603016113066222*^9, 3.603016132066638*^9}, {3.603016263891388*^9, 
   3.603016267273678*^9}, {3.603016577894306*^9, 3.603016582076867*^9}, {
   3.603016705623838*^9, 3.603016781532065*^9}, {3.603016871857505*^9, 
   3.603016873209257*^9}, {3.6030171408859673`*^9, 3.603017175604434*^9}, {
   3.603017209650552*^9, 3.603017442874443*^9}, {3.60301758834372*^9, 
   3.6030176698136463`*^9}, {3.603017703473672*^9, 3.603017724032844*^9}, 
   3.603017802788402*^9, {3.603017865482491*^9, 3.603018094712834*^9}, {
   3.603018130914667*^9, 3.6030182118785877`*^9}, {3.603018298265646*^9, 
   3.60301839035814*^9}, {3.603018421764482*^9, 3.603018456004245*^9}, {
   3.603018539594171*^9, 3.603018557222536*^9}, {3.6030186392775383`*^9, 
   3.603018675914228*^9}, {3.6030187816537447`*^9, 3.603018849561101*^9}, {
   3.603018898778043*^9, 3.603018901203224*^9}, {3.603019761594899*^9, 
   3.603019841970072*^9}, {3.603019901248382*^9, 3.603020167921318*^9}, {
   3.603020347208898*^9, 3.603020355043579*^9}, {3.6030203905638247`*^9, 
   3.603020397883054*^9}, {3.603020454922226*^9, 3.6030205283141947`*^9}, {
   3.603020584965661*^9, 3.603020589169404*^9}, {3.603023649226219*^9, 
   3.6030237356183662`*^9}, {3.603023826279929*^9, 3.603023878742353*^9}, {
   3.6030239163270893`*^9, 3.603024026220026*^9}, {3.603024092785821*^9, 
   3.603024223209021*^9}, {3.603024283109269*^9, 3.603024311454362*^9}, {
   3.603024345489792*^9, 3.6030244072620373`*^9}, {3.603024585019034*^9, 
   3.6030247178958397`*^9}, {3.603024772739876*^9, 3.6030247786340322`*^9}, {
   3.6030249258314247`*^9, 3.60302493587698*^9}, {3.603025013290657*^9, 
   3.603025096230626*^9}, {3.603025132513727*^9, 3.6030251352051497`*^9}, {
   3.603025208918672*^9, 3.6030252126867237`*^9}, {3.603025330611964*^9, 
   3.603025394567917*^9}, {3.603025425411553*^9, 3.603025437234736*^9}, {
   3.603025541228229*^9, 3.603025678116276*^9}, {3.60302574736823*^9, 
   3.6030257660468493`*^9}, {3.603029872034856*^9, 3.603029885341621*^9}, {
   3.6030303730429077`*^9, 3.603030382003055*^9}, {3.6030304167113657`*^9, 
   3.6030304591140003`*^9}, {3.6030306236500683`*^9, 3.603030641254156*^9}, {
   3.603030786107875*^9, 3.6030308130785522`*^9}, {3.603030913654282*^9, 
   3.603030913956915*^9}, {3.603031835973405*^9, 3.603031906284771*^9}, {
   3.6030328347565737`*^9, 3.603032858678653*^9}, {3.603032900690866*^9, 
   3.6030329402004833`*^9}, {3.603033004223234*^9, 3.603033022164751*^9}, 
   3.612178361123412*^9, 3.61217851855505*^9, {3.615732695034189*^9, 
   3.6157327247977057`*^9}, {3.624276411223626*^9, 3.624276434368002*^9}, {
   3.6242765313096237`*^9, 3.6242765379700003`*^9}, {3.6242775912179003`*^9, 
   3.624277600427485*^9}, {3.6242776671139927`*^9, 3.6242777466359243`*^9}, {
   3.62436950251366*^9, 3.624369752456409*^9}, {3.624370530800405*^9, 
   3.624370581380412*^9}, {3.624370644837421*^9, 3.624370711799477*^9}, {
   3.624370896791321*^9, 3.62437094845844*^9}, {3.624372042308496*^9, 
   3.624372045789548*^9}, {3.624372079999902*^9, 3.624372536506681*^9}, {
   3.624372574614438*^9, 3.624372580563797*^9}, {3.6243726508689413`*^9, 
   3.6243726529658813`*^9}, {3.62789720653012*^9, 3.62789720856885*^9}, {
   3.627897257377474*^9, 3.627897268528893*^9}, {3.627897299577919*^9, 
   3.627897305523416*^9}, {3.6278975876297703`*^9, 3.6278975883168716`*^9}, {
   3.627897810251054*^9, 3.627897817822867*^9}, {3.627897925806057*^9, 
   3.627897954493848*^9}, 3.627898015441153*^9, {3.627898053043297*^9, 
   3.627898053335519*^9}, {3.627898087732855*^9, 3.627898107959463*^9}, 
   3.62789822406498*^9, {3.627898363282517*^9, 3.627898369014812*^9}, {
   3.627899327814888*^9, 3.6278993287986*^9}, {3.6278995369924*^9, 
   3.627899542802456*^9}, {3.627908551754356*^9, 3.627908552095607*^9}, {
   3.627908633057419*^9, 3.627908633577448*^9}, {3.627908802151492*^9, 
   3.6279088260135803`*^9}, {3.62790897367686*^9, 3.6279089746212673`*^9}, {
   3.6279092052498903`*^9, 3.6279092137557373`*^9}, {3.627909478343465*^9, 
   3.627909484027857*^9}, {3.627909516501137*^9, 3.6279095582079163`*^9}, {
   3.627909720089658*^9, 3.627909901633803*^9}, {3.6279099470913067`*^9, 
   3.627909963498982*^9}, {3.627910102362713*^9, 3.6279101072887907`*^9}, {
   3.6279102943018637`*^9, 3.6279102974885473`*^9}, {3.627910349710854*^9, 
   3.627910355591831*^9}, {3.627910430291382*^9, 3.627910437454866*^9}, {
   3.627910490553289*^9, 3.627910504883616*^9}, 3.627910552775642*^9, {
   3.627910583582872*^9, 3.627910592656907*^9}, {3.627910674551052*^9, 
   3.627910748175008*^9}, {3.6279107807345543`*^9, 3.627910787358539*^9}, {
   3.627910820786127*^9, 3.627910845139657*^9}, {3.627910942259194*^9, 
   3.62791094257146*^9}, 3.6279109994017982`*^9, {3.627911056547153*^9, 
   3.627911139463469*^9}, 3.6279111759220123`*^9, 3.627911228043899*^9, {
   3.6279918249818087`*^9, 3.627991827368554*^9}, {3.63196262942513*^9, 
   3.631962633141577*^9}, {3.6319626738352613`*^9, 3.631962687188455*^9}, {
   3.6319641807505093`*^9, 3.631964181095031*^9}, {3.6319642225250187`*^9, 
   3.6319642227774687`*^9}, 3.6319667055109777`*^9, {3.631967007804463*^9, 
   3.631967060995801*^9}, {3.631967304008712*^9, 3.6319673086375847`*^9}, {
   3.631967352623972*^9, 3.631967371529196*^9}, {3.631967402237451*^9, 
   3.6319674811440887`*^9}, {3.6319676080767937`*^9, 3.631967730895459*^9}, {
   3.6319677850173817`*^9, 3.6319677883273973`*^9}, {3.631967825704771*^9, 
   3.631967842628154*^9}, {3.6319679135454617`*^9, 3.631967938989789*^9}, {
   3.631968057692198*^9, 3.631968061191681*^9}, {3.631968091657312*^9, 
   3.631968093087261*^9}, {3.631968133831492*^9, 3.63196815262127*^9}, {
   3.631968221135771*^9, 3.631968224726925*^9}, {3.631969420189848*^9, 
   3.6319694249459953`*^9}, {3.6319694769257107`*^9, 3.631969478291284*^9}, {
   3.6334358736341867`*^9, 3.6334358790897293`*^9}, {3.633693202703871*^9, 
   3.633693217377596*^9}, {3.633694440302083*^9, 3.6336944405015907`*^9}, {
   3.633704530794833*^9, 3.633704536988826*^9}, {3.6337046093285933`*^9, 
   3.633704612742803*^9}, {3.633704909642861*^9, 3.633704912065482*^9}, {
   3.633705088347053*^9, 3.6337050985649557`*^9}, {3.633705254813644*^9, 
   3.633705258791293*^9}, {3.6337055674423*^9, 3.633705571486244*^9}, {
   3.6343823888751097`*^9, 3.634382392993894*^9}, {3.634382423265538*^9, 
   3.6343825138085012`*^9}, {3.634382569890122*^9, 3.6343825726834793`*^9}, 
   3.634382637226626*^9, 3.634382784272543*^9, {3.6343831147305593`*^9, 
   3.6343831218575783`*^9}, {3.634383697021172*^9, 3.634383723855812*^9}, {
   3.634383824350833*^9, 3.634383861355082*^9}, {3.634383891632063*^9, 
   3.634383891971415*^9}, {3.634383930490302*^9, 3.634383936395496*^9}, {
   3.634383991250697*^9, 3.634384024494726*^9}, {3.6343840557349567`*^9, 
   3.634384071832336*^9}, {3.634384110145252*^9, 3.634384131508363*^9}, {
   3.6343841934779863`*^9, 3.634384203886743*^9}, {3.634384498324753*^9, 
   3.634384506591564*^9}, {3.634384798302788*^9, 3.634384859043253*^9}, {
   3.634385273775436*^9, 3.6343852741509047`*^9}, {3.634386073862811*^9, 
   3.634386127404903*^9}, {3.634386181473621*^9, 3.6343863343195553`*^9}, {
   3.6344724524164467`*^9, 3.634472460288321*^9}, 3.63447252966778*^9, {
   3.634626921776719*^9, 3.634626928044571*^9}, {3.634627067327976*^9, 
   3.634627068337531*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"InvariantLambda", "[", 
    RowBox[{"{", 
     RowBox[{"poly_", ",", 
      RowBox[{"{", "}"}]}], "}"}], "]"}], ":=", "poly"}], ";"}]], "Input",
 CellChangeTimes->{{3.63369757762644*^9, 3.633697625549099*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"InvariantLambda", "[", "L_", "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"groupMaxGen", ",", "expSum", ",", "zed", ",", "P"}], "}"}], ",", 
    RowBox[{"(", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"groupMaxGen", " ", ":=", " ", 
       RowBox[{"Max", "[", 
        RowBox[{"GetIndex", "/@", 
         RowBox[{"L", "[", 
          RowBox[{"[", "2", "]"}], "]"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"expSum", ":=", 
       RowBox[{"Total", "[", 
        RowBox[{"GetPower", " ", "/@", 
         RowBox[{"L", "[", 
          RowBox[{"[", "2", "]"}], "]"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"zed", " ", ":=", " ", 
       RowBox[{
        RowBox[{"-", 
         RowBox[{"(", 
          RowBox[{"q", "-", 
           RowBox[{"q", "^", 
            RowBox[{"(", 
             RowBox[{"-", "1"}], ")"}]}]}], ")"}]}], "*", 
        RowBox[{"F", "/", 
         RowBox[{"(", 
          RowBox[{"\[Lambda]", "-", "1"}], ")"}]}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"FullSimplify", "[", 
       RowBox[{
        RowBox[{"ReplaceAll", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"1", "/", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"z", "*", " ", 
               RowBox[{"Sqrt", "[", "\[Lambda]", "]"}]}], ")"}], "^", 
             RowBox[{"(", "groupMaxGen", ")"}]}]}], "*", 
           RowBox[{
            RowBox[{"Sqrt", "[", "\[Lambda]", "]"}], "^", "expSum"}], " ", 
           "*", " ", 
           RowBox[{"TraceYHP", "[", "L", "]"}]}], ",", 
          RowBox[{"z", "\[Rule]", " ", "zed"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"\[Lambda]", ">", "0"}], ",", 
          RowBox[{"q", "\[NotEqual]", "1"}], ",", 
          RowBox[{"q", "\[NotEqual]", 
           RowBox[{"-", "1"}]}]}], "}"}]}], "]"}]}], ")"}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.631965368640829*^9, 3.631965379731598*^9}, {
   3.631965437159536*^9, 3.63196547983851*^9}, {3.63196568779397*^9, 
   3.63196586852048*^9}, {3.631965919537278*^9, 3.631965973965643*^9}, {
   3.631966060505005*^9, 3.631966060882347*^9}, {3.6319661057416077`*^9, 
   3.6319661078170633`*^9}, {3.631966456975857*^9, 3.631966533838627*^9}, {
   3.6319665748668213`*^9, 3.631966637946409*^9}, {3.633690834637794*^9, 
   3.633690840091707*^9}, {3.6336975721749783`*^9, 3.633697576519005*^9}, {
   3.633699193779129*^9, 3.6336992021185703`*^9}, {3.6336992391691303`*^9, 
   3.6336992586558447`*^9}, {3.633699481845522*^9, 3.633699541584577*^9}, 
   3.633699884032076*^9, {3.633700148251767*^9, 3.6337001493867693`*^9}, {
   3.6340370709632807`*^9, 3.6340372965691357`*^9}, {3.635681043556435*^9, 
   3.635681046761456*^9}, {3.6356811370157137`*^9, 3.635681164414137*^9}, {
   3.638699194313834*^9, 3.6386992005304737`*^9}, {3.6386992673006496`*^9, 
   3.6386992687182703`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Invariant", "[", "w_", "]"}], ":=", 
  RowBox[{"InvariantLambda", "[", 
   RowBox[{"{", 
    RowBox[{"1", ",", "w"}], "}"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.631965958435857*^9, 3.6319659600684137`*^9}, {
  3.6336974040894127`*^9, 3.6336974188607903`*^9}}]
},
WindowSize->{894, 809},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"10.1 for Linux x86 (64-bit) (March 23, 2015)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 12565, 344, 1207, "Input"],
Cell[13125, 366, 11325, 216, 627, "Input"],
Cell[24453, 584, 2357, 56, 147, "Input"],
Cell[26813, 642, 3393, 82, 121, "Input"],
Cell[30209, 726, 1656, 55, 99, "Input"],
Cell[31868, 783, 1739, 38, 77, "Input"],
Cell[33610, 823, 4026, 78, 253, "Input"],
Cell[37639, 903, 6135, 129, 363, "Input"],
Cell[43777, 1034, 11264, 234, 759, "Input"],
Cell[55044, 1270, 13885, 314, 871, "Input"],
Cell[68932, 1586, 3279, 80, 363, "Input"],
Cell[72214, 1668, 343, 9, 32, "Input"],
Cell[72560, 1679, 4382, 83, 209, "Input"],
Cell[76945, 1764, 426, 9, 32, "Input"],
Cell[77374, 1775, 2332, 56, 209, "Input"],
Cell[79709, 1833, 10429, 203, 561, "Input"],
Cell[90141, 2038, 7519, 177, 649, "Input"],
Cell[97663, 2217, 1506, 35, 143, "Input"],
Cell[99172, 2254, 1392, 37, 121, "Input"],
Cell[100567, 2293, 28755, 559, 1551, "Input"],
Cell[129325, 2854, 256, 7, 32, "Input"],
Cell[129584, 2863, 2961, 69, 165, "Input"],
Cell[132548, 2934, 299, 7, 32, "Input"]
}
]
*)

(* End of internal cache information *)
