(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     52094,       1541]
NotebookOptionsPosition[     50039,       1468]
NotebookOutlinePosition[     50372,       1483]
CellTagsIndexPosition[     50329,       1480]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";", 
  RowBox[{"data", "=", 
   RowBox[{"Import", "[", 
    RowBox[{"\"\<links-different.csv\>\"", ",", 
     RowBox[{"CharacterEncoding", "\[Rule]", "\"\<UTF8\>\""}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"diff", "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"ToExpression", "/@", 
      RowBox[{"data", "[", 
       RowBox[{"[", 
        RowBox[{"All", ",", "3"}], "]"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{"Sqrt", "[", "\[Lambda]", "]"}], ">", "0"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", "diff", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.63942292499174*^9, 3.63942317980499*^9}, {
  3.639498832944661*^9, 3.639498937541017*^9}, {3.639499013507893*^9, 
  3.6394990139300003`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}]], "Print",
 CellChangeTimes->{{3.639423076170781*^9, 3.639423105691753*^9}, {
   3.639423159488652*^9, 3.639423185106317*^9}, {3.6394989317674103`*^9, 
   3.6394989402577133`*^9}, 3.6394990153593197`*^9, 3.639819852883819*^9, 
   3.640275137521377*^9, 3.640276688188554*^9, 3.640461364961854*^9, 
   3.6408420783735533`*^9, 3.640854171292605*^9, {3.6408573666737547`*^9, 
   3.640857393485359*^9}, 3.6408574490481167`*^9, 3.6408575953210497`*^9, 
   3.6408579927039003`*^9, {3.640860548010023*^9, 3.640860567505856*^9}, 
   3.6410132467907352`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"pos", "=", 
  RowBox[{
   RowBox[{"2", "*", 
    RowBox[{"Flatten", "[", 
     RowBox[{"Position", "[", 
      RowBox[{
       RowBox[{"Simplify", "[", 
        RowBox[{
         RowBox[{"Take", "[", 
          RowBox[{
           RowBox[{"ToExpression", "/@", 
            RowBox[{"data", "[", 
             RowBox[{"[", 
              RowBox[{"All", ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"1", ",", 
             RowBox[{"-", "1"}], ",", "2"}], "}"}]}], "]"}], "-", 
         RowBox[{"Take", "[", 
          RowBox[{
           RowBox[{"ToExpression", "/@", 
            RowBox[{"data", "[", 
             RowBox[{"[", 
              RowBox[{"All", ",", "2"}], "]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"2", ",", 
             RowBox[{"-", "1"}], ",", "2"}], "}"}]}], "]"}]}], "]"}], ",", 
       RowBox[{"Except", "[", "0", "]"}], ",", "1", ",", 
       RowBox[{"Heads", "\[Rule]", "False"}]}], "]"}], "]"}]}], "-", 
   "1"}]}]], "Input",
 CellChangeTimes->{{3.639499028071754*^9, 3.639499053702091*^9}, {
  3.639499140740693*^9, 3.63949920307586*^9}, {3.6394992392944717`*^9, 
  3.639499249240056*^9}, {3.6394993400984983`*^9, 3.639499378758265*^9}, {
  3.639499451886718*^9, 3.639499481659062*^9}, {3.639499517172923*^9, 
  3.6394995586916924`*^9}, {3.639499689778418*^9, 3.6394997323352613`*^9}, {
  3.6394997928433733`*^9, 3.639499796165604*^9}, {3.6394998556025*^9, 
  3.63949986051729*^9}, {3.639500135280751*^9, 3.639500149024515*^9}, {
  3.6395006045062103`*^9, 3.639500621909295*^9}, {3.6395007413651543`*^9, 
  3.639500743033606*^9}, {3.6395009185042133`*^9, 3.639500927857259*^9}, {
  3.639819950864801*^9, 3.639819967543392*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"111", ",", "113", ",", "117", ",", "121", ",", "145", ",", "171"}],
   "}"}]], "Output",
 CellChangeTimes->{{3.639499714298182*^9, 3.639499732636235*^9}, {
   3.639499793601931*^9, 3.639499796971599*^9}, 3.639499860862084*^9, {
   3.639500143149454*^9, 3.639500149440708*^9}, 3.6395006222082367`*^9, 
   3.639500743507031*^9, 3.6395009282089376`*^9, 3.6398199715507383`*^9, 
   3.640275142753634*^9, 3.640276688727302*^9, 3.640461370489146*^9, 
   3.640842078616377*^9, 3.640854171550812*^9, {3.640857366921287*^9, 
   3.6408573937458677`*^9}, 3.640857449346517*^9, 3.6408575956840343`*^9, 
   3.640857993001857*^9, {3.640860548337359*^9, 3.640860567672798*^9}, 
   3.641013247224992*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Thread", "[", 
  RowBox[{"List", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"data", "[", 
      RowBox[{"[", 
       RowBox[{"All", ",", "1"}], "]"}], "]"}], "[", 
     RowBox[{"[", "pos", "]"}], "]"}], ",", 
    RowBox[{
     RowBox[{"data", "[", 
      RowBox[{"[", 
       RowBox[{"All", ",", "1"}], "]"}], "]"}], "[", 
     RowBox[{"[", 
      RowBox[{"pos", "+", "1"}], "]"}], "]"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.6394997166027603`*^9, 3.639499722773649*^9}, {
  3.639500187802627*^9, 3.6395001992629757`*^9}, {3.6395005009876747`*^9, 
  3.639500516018217*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"L11n358{0,1}\"\>", ",", "\<\"L11n418{0,0}\"\>"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"L11a467{0,1}\"\>", ",", "\<\"L11a527{0,0}\"\>"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"L11n325{1,1}\"\>", ",", "\<\"L11n424{0,0}\"\>"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"L10n79{1,1}\"\>", ",", "\<\"L10n95{1,0}\"\>"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"L11a404{1,1}\"\>", ",", "\<\"L11a428{0,1}\"\>"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"L10n76{1,1}\"\>", ",", "\<\"L11n425{1,0}\"\>"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.63949972309123*^9, 3.6394997351142797`*^9}, {
   3.6395001848258553`*^9, 3.639500194563567*^9}, 3.639500516510929*^9, 
   3.6395006245022593`*^9, 3.6398199802785263`*^9, 3.640276690406681*^9, 
   3.6404613733581*^9, 3.640842080175452*^9, 3.640854171592938*^9, {
   3.6408573669586906`*^9, 3.640857393788341*^9}, 3.640857449387051*^9, 
   3.640857595714465*^9, 3.64085799305097*^9, {3.640860548376995*^9, 
   3.640860567722331*^9}, 3.641013247340685*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"invs", "=", 
   RowBox[{"Thread", "[", 
    RowBox[{"List", "[", 
     RowBox[{
      RowBox[{"ToExpression", "/@", 
       RowBox[{
        RowBox[{"data", "[", 
         RowBox[{"[", 
          RowBox[{"All", ",", "2"}], "]"}], "]"}], "[", 
        RowBox[{"[", "pos", "]"}], "]"}]}], ",", 
      RowBox[{"ToExpression", "/@", 
       RowBox[{
        RowBox[{"data", "[", 
         RowBox[{"[", 
          RowBox[{"All", ",", "2"}], "]"}], "]"}], "[", 
        RowBox[{"[", 
         RowBox[{"pos", "+", "1"}], "]"}], "]"}]}]}], "]"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.6398213412019653`*^9, 3.6398213685933933`*^9}, {
  3.639821400965033*^9, 3.639821522754854*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"For", "[", 
  RowBox[{
   RowBox[{"i", "=", "1"}], ",", 
   RowBox[{"i", "\[LessEqual]", 
    RowBox[{"Length", "[", "invs", "]"}]}], ",", 
   RowBox[{"i", "++"}], ",", 
   RowBox[{"Print", "[", 
    RowBox[{"Simplify", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"invs", "[", 
        RowBox[{"[", "i", "]"}], "]"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}], "-", 
      RowBox[{
       RowBox[{"invs", "[", 
        RowBox[{"[", "i", "]"}], "]"}], "[", 
       RowBox[{"[", "2", "]"}], "]"}]}], "]"}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6398215324153547`*^9, 3.639821582424095*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "F"}], ")"}], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       SuperscriptBox["q", "2"]}], ")"}], "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Lambda]"}], ")"}], " ", "\[Lambda]"}], 
      "+", 
      RowBox[{
       SuperscriptBox["q", "4"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Lambda]"}], ")"}], " ", "\[Lambda]"}], 
      "-", 
      RowBox[{
       SuperscriptBox["q", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Lambda]", "-", 
         SuperscriptBox["\[Lambda]", "2"], "+", 
         SuperscriptBox["\[Lambda]", "3"]}], ")"}]}]}], ")"}]}], 
   RowBox[{"F", " ", 
    SuperscriptBox["q", "4"], " ", 
    SuperscriptBox["\[Lambda]", "4"]}]]}]], "Print",
 CellChangeTimes->{{3.6398215644041977`*^9, 3.639821571885436*^9}, 
   3.640276693415254*^9, 3.640842086730214*^9, 3.64085417164324*^9, {
   3.640857367002634*^9, 3.6408573938376093`*^9}, 3.6408574494316673`*^9, 
   3.640857595760764*^9, 3.640857993109213*^9, {3.640860548416169*^9, 
   3.640860567776157*^9}, 3.6410132474668303`*^9}],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "F"}], ")"}], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       SuperscriptBox["q", "2"]}], ")"}], "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Lambda]"}], ")"}], " ", "\[Lambda]"}], 
      "+", 
      RowBox[{
       SuperscriptBox["q", "4"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Lambda]"}], ")"}], " ", "\[Lambda]"}], 
      "-", 
      RowBox[{
       SuperscriptBox["q", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Lambda]", "-", 
         SuperscriptBox["\[Lambda]", "2"], "+", 
         SuperscriptBox["\[Lambda]", "3"]}], ")"}]}]}], ")"}]}], 
   RowBox[{"F", " ", 
    SuperscriptBox["q", "4"], " ", 
    SuperscriptBox["\[Lambda]", "4"]}]]}]], "Print",
 CellChangeTimes->{{3.6398215644041977`*^9, 3.639821571885436*^9}, 
   3.640276693415254*^9, 3.640842086730214*^9, 3.64085417164324*^9, {
   3.640857367002634*^9, 3.6408573938376093`*^9}, 3.6408574494316673`*^9, 
   3.640857595760764*^9, 3.640857993109213*^9, {3.640860548416169*^9, 
   3.640860567776157*^9}, 3.64101324746945*^9}],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "F"}], ")"}], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      SuperscriptBox["q", "2"]}], ")"}], "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Lambda]"}], ")"}], " ", "\[Lambda]"}], 
     "+", 
     RowBox[{
      SuperscriptBox["q", "4"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Lambda]"}], ")"}], " ", "\[Lambda]"}], 
     "-", 
     RowBox[{
      SuperscriptBox["q", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Lambda]", "-", 
        SuperscriptBox["\[Lambda]", "2"], "+", 
        SuperscriptBox["\[Lambda]", "3"]}], ")"}]}]}], ")"}]}], 
  RowBox[{"F", " ", 
   SuperscriptBox["q", "4"], " ", 
   SuperscriptBox["\[Lambda]", "3"]}]]], "Print",
 CellChangeTimes->{{3.6398215644041977`*^9, 3.639821571885436*^9}, 
   3.640276693415254*^9, 3.640842086730214*^9, 3.64085417164324*^9, {
   3.640857367002634*^9, 3.6408573938376093`*^9}, 3.6408574494316673`*^9, 
   3.640857595760764*^9, 3.640857993109213*^9, {3.640860548416169*^9, 
   3.640860567776157*^9}, 3.641013247472123*^9}],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "F"}], ")"}], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       SuperscriptBox["q", "2"]}], ")"}], "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "\[Lambda]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SuperscriptBox["q", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Lambda]"}], ")"}]}], "+", "\[Lambda]", 
      "+", 
      RowBox[{
       SuperscriptBox["q", "4"], " ", "\[Lambda]"}]}], ")"}]}], 
   RowBox[{"F", " ", 
    SuperscriptBox["q", "4"], " ", 
    SuperscriptBox["\[Lambda]", "4"]}]]}]], "Print",
 CellChangeTimes->{{3.6398215644041977`*^9, 3.639821571885436*^9}, 
   3.640276693415254*^9, 3.640842086730214*^9, 3.64085417164324*^9, {
   3.640857367002634*^9, 3.6408573938376093`*^9}, 3.6408574494316673`*^9, 
   3.640857595760764*^9, 3.640857993109213*^9, {3.640860548416169*^9, 
   3.640860567776157*^9}, 3.641013247474717*^9}],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "F"}], ")"}], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       SuperscriptBox["q", "2"]}], ")"}], "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      SuperscriptBox["\[Lambda]", "2"], "+", 
      RowBox[{
       SuperscriptBox["q", "4"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         SuperscriptBox["\[Lambda]", "2"]}], ")"}]}], "+", 
      RowBox[{
       SuperscriptBox["q", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"\[Lambda]", "-", 
         SuperscriptBox["\[Lambda]", "3"]}], ")"}]}]}], ")"}]}], 
   RowBox[{"F", " ", 
    SuperscriptBox["q", "4"]}]]}]], "Print",
 CellChangeTimes->{{3.6398215644041977`*^9, 3.639821571885436*^9}, 
   3.640276693415254*^9, 3.640842086730214*^9, 3.64085417164324*^9, {
   3.640857367002634*^9, 3.6408573938376093`*^9}, 3.6408574494316673`*^9, 
   3.640857595760764*^9, 3.640857993109213*^9, {3.640860548416169*^9, 
   3.640860567776157*^9}, 3.641013247477051*^9}],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "F"}], ")"}], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       SuperscriptBox["q", "2"]}], ")"}], "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      SuperscriptBox["\[Lambda]", "2"]}], ")"}]}], 
   RowBox[{"F", " ", 
    SuperscriptBox["q", "2"], " ", 
    SuperscriptBox["\[Lambda]", "3"]}]]}]], "Print",
 CellChangeTimes->{{3.6398215644041977`*^9, 3.639821571885436*^9}, 
   3.640276693415254*^9, 3.640842086730214*^9, 3.64085417164324*^9, {
   3.640857367002634*^9, 3.6408573938376093`*^9}, 3.6408574494316673`*^9, 
   3.640857595760764*^9, 3.640857993109213*^9, {3.640860548416169*^9, 
   3.640860567776157*^9}, 3.6410132474792*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"diffs", "=", 
  RowBox[{"Simplify", "/@", 
   RowBox[{"Flatten", "[", 
    RowBox[{"Map", "[", 
     RowBox[{"Differences", ",", "invs"}], "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.639821583941786*^9, 3.6398216109291697`*^9}, {
  3.639821645472506*^9, 3.639821658851096*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "F"}], ")"}], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        SuperscriptBox["q", "2"]}], ")"}], "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Lambda]"}], ")"}], " ", "\[Lambda]"}], 
       "+", 
       RowBox[{
        SuperscriptBox["q", "4"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Lambda]"}], ")"}], " ", "\[Lambda]"}], 
       "-", 
       RowBox[{
        SuperscriptBox["q", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Lambda]", "-", 
          SuperscriptBox["\[Lambda]", "2"], "+", 
          SuperscriptBox["\[Lambda]", "3"]}], ")"}]}]}], ")"}]}], 
    RowBox[{"F", " ", 
     SuperscriptBox["q", "4"], " ", 
     SuperscriptBox["\[Lambda]", "4"]}]], ",", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "F"}], ")"}], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        SuperscriptBox["q", "2"]}], ")"}], "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Lambda]"}], ")"}], " ", "\[Lambda]"}], 
       "+", 
       RowBox[{
        SuperscriptBox["q", "4"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Lambda]"}], ")"}], " ", "\[Lambda]"}], 
       "-", 
       RowBox[{
        SuperscriptBox["q", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Lambda]", "-", 
          SuperscriptBox["\[Lambda]", "2"], "+", 
          SuperscriptBox["\[Lambda]", "3"]}], ")"}]}]}], ")"}]}], 
    RowBox[{"F", " ", 
     SuperscriptBox["q", "4"], " ", 
     SuperscriptBox["\[Lambda]", "4"]}]], ",", 
   RowBox[{"-", 
    FractionBox[
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "F"}], ")"}], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         SuperscriptBox["q", "2"]}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Lambda]"}], ")"}], " ", "\[Lambda]"}], 
        "+", 
        RowBox[{
         SuperscriptBox["q", "4"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Lambda]"}], ")"}], " ", "\[Lambda]"}], 
        "-", 
        RowBox[{
         SuperscriptBox["q", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Lambda]", "-", 
           SuperscriptBox["\[Lambda]", "2"], "+", 
           SuperscriptBox["\[Lambda]", "3"]}], ")"}]}]}], ")"}]}], 
     RowBox[{"F", " ", 
      SuperscriptBox["q", "4"], " ", 
      SuperscriptBox["\[Lambda]", "3"]}]]}], ",", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "F"}], ")"}], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        SuperscriptBox["q", "2"]}], ")"}], "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Lambda]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        SuperscriptBox["q", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Lambda]"}], ")"}]}], "+", "\[Lambda]", 
       "+", 
       RowBox[{
        SuperscriptBox["q", "4"], " ", "\[Lambda]"}]}], ")"}]}], 
    RowBox[{"F", " ", 
     SuperscriptBox["q", "4"], " ", 
     SuperscriptBox["\[Lambda]", "4"]}]], ",", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "F"}], ")"}], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        SuperscriptBox["q", "2"]}], ")"}], "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       SuperscriptBox["\[Lambda]", "2"], "+", 
       RowBox[{
        SuperscriptBox["q", "4"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          SuperscriptBox["\[Lambda]", "2"]}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["q", "2"], " ", 
        RowBox[{"(", 
         RowBox[{"\[Lambda]", "-", 
          SuperscriptBox["\[Lambda]", "3"]}], ")"}]}]}], ")"}]}], 
    RowBox[{"F", " ", 
     SuperscriptBox["q", "4"]}]], ",", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "F"}], ")"}], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        SuperscriptBox["q", "2"]}], ")"}], "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       SuperscriptBox["\[Lambda]", "2"]}], ")"}]}], 
    RowBox[{"F", " ", 
     SuperscriptBox["q", "2"], " ", 
     SuperscriptBox["\[Lambda]", "3"]}]]}], "}"}]], "Output",
 CellChangeTimes->{
  3.63982161276961*^9, {3.639821646944488*^9, 3.639821659236974*^9}, 
   3.640276695873773*^9, 3.640842088584929*^9, 3.640854171692157*^9, {
   3.6408573670803347`*^9, 3.640857393900292*^9}, 3.640857449509491*^9, 
   3.640857595816041*^9, 3.6408579931616383`*^9, {3.64086054847856*^9, 
   3.640860567835443*^9}, 3.641013247604903*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"inv358", "=", 
   RowBox[{
    RowBox[{"invs", "[", 
     RowBox[{"[", "1", "]"}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"inv418", "=", 
   RowBox[{
    RowBox[{"invs", "[", 
     RowBox[{"[", "1", "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.640275330060972*^9, 3.640275357059402*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"invU", ":=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "\[Lambda]"}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"q", "-", 
        RowBox[{"1", "/", "q"}]}], ")"}], "*", 
      RowBox[{"Sqrt", "[", "\[Lambda]", "]"}], "*", "F"}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"inv31", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"q", "^", 
       RowBox[{"(", 
        RowBox[{"-", "2"}], ")"}]}], "+", 
      RowBox[{"q", "^", "2"}], "-", "\[Lambda]"}], ")"}], "*", 
    "\[Lambda]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"inv31mir", "=", 
   RowBox[{"ReplaceAll", "[", 
    RowBox[{"inv31", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"q", "\[Rule]", 
        RowBox[{"1", "/", "q"}]}], ",", 
       RowBox[{"\[Lambda]", "\[Rule]", 
        RowBox[{"1", "/", "\[Lambda]"}]}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"inv52", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"\[Lambda]", "*", 
      RowBox[{"(", 
       RowBox[{"1", "+", "\[Lambda]", "+", 
        RowBox[{
         RowBox[{"q", "^", "4"}], "*", 
         RowBox[{"(", 
          RowBox[{"1", "+", "\[Lambda]"}], ")"}]}], "-", 
        RowBox[{
         RowBox[{"q", "^", "2"}], "*", 
         RowBox[{"(", 
          RowBox[{"1", "+", "\[Lambda]", "+", 
           RowBox[{"\[Lambda]", "^", "2"}]}], ")"}]}]}], ")"}]}], ")"}], "/", 
    
    RowBox[{"q", "^", "2"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"inv52mir", "=", 
   RowBox[{"ReplaceAll", "[", 
    RowBox[{"inv52", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"q", "\[Rule]", 
        RowBox[{"1", "/", "q"}]}], ",", 
       RowBox[{"\[Lambda]", "\[Rule]", 
        RowBox[{"1", "/", "\[Lambda]"}]}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"inv62", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "\[Lambda]"}], "+", 
      RowBox[{
       RowBox[{"q", "^", "2"}], "*", 
       RowBox[{"(", 
        RowBox[{"1", "+", "\[Lambda]", "-", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"q", "^", "2"}], "-", "\[Lambda]"}], ")"}], "*", 
          RowBox[{"(", 
           RowBox[{"\[Lambda]", "+", 
            RowBox[{
             RowBox[{"q", "^", "4"}], "*", "\[Lambda]"}], "-", 
            RowBox[{
             RowBox[{"q", "^", "2"}], "*", 
             RowBox[{"(", 
              RowBox[{"1", "+", "\[Lambda]"}], ")"}]}]}], ")"}]}]}], 
        ")"}]}]}], ")"}], "/", 
    RowBox[{"q", "^", "4"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"inv62mir", "=", 
   RowBox[{"ReplaceAll", "[", 
    RowBox[{"inv62", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"q", "\[Rule]", 
        RowBox[{"1", "/", "q"}]}], ",", 
       RowBox[{"\[Lambda]", "\[Rule]", 
        RowBox[{"1", "/", "\[Lambda]"}]}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"inv820", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"\[Lambda]", "+", 
      RowBox[{
       RowBox[{"q", "^", "8"}], "*", "\[Lambda]"}], "+", 
      RowBox[{
       RowBox[{"q", "^", "4"}], "*", "\[Lambda]", "*", 
       RowBox[{"(", 
        RowBox[{"2", "+", "\[Lambda]"}], ")"}]}], "-", 
      RowBox[{
       RowBox[{"q", "^", "2"}], "*", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"\[Lambda]", "^", "2"}]}], ")"}]}], "-", 
      RowBox[{
       RowBox[{"q", "^", "6"}], "*", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"\[Lambda]", "^", "2"}]}], ")"}]}]}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"q", "^", "4"}], "*", 
      RowBox[{"\[Lambda]", "^", "2"}]}], ")"}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.640857289815929*^9, 3.6408573069521427`*^9}, {
  3.640857390967424*^9, 3.640857391266498*^9}, {3.640857581856471*^9, 
  3.640857591196961*^9}, {3.64085810199586*^9, 3.640858110479105*^9}, {
  3.6408606579378147`*^9, 3.640860704888648*^9}, {3.6408629747691307`*^9, 
  3.6408630293572187`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"invL1", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Lambda]", "^", 
      RowBox[{"(", 
       RowBox[{"-", "4"}], ")"}]}], "*", 
     RowBox[{"invU", "^", "2"}]}], "-", 
    RowBox[{"2", "*", 
     RowBox[{"(", 
      RowBox[{"q", "-", 
       RowBox[{"1", "/", "q"}]}], ")"}], "*", 
     RowBox[{"\[Lambda]", "^", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "7"}], "/", "2"}], ")"}]}], "*", "invU"}], "+", 
    RowBox[{
     RowBox[{"\[Lambda]", "^", 
      RowBox[{"(", 
       RowBox[{"-", "3"}], ")"}]}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"q", "-", 
        RowBox[{"1", "/", "q"}]}], ")"}], "^", "2"}]}], "+", 
    RowBox[{
     RowBox[{"\[Lambda]", "^", 
      RowBox[{"(", 
       RowBox[{"-", "2"}], ")"}]}], " ", "*", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"q", "-", 
        RowBox[{"1", "/", "q"}]}], ")"}], "^", "2"}]}], " ", "-", 
    RowBox[{
     RowBox[{"\[Lambda]", "^", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "5"}], "/", "2"}], ")"}]}], "*", 
     RowBox[{"(", 
      RowBox[{"q", "-", 
       RowBox[{"1", "/", "q"}]}], ")"}], "*", "invU"}], "+", 
    RowBox[{
     RowBox[{"\[Lambda]", "^", 
      RowBox[{"(", 
       RowBox[{"-", "1"}], ")"}]}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"q", "-", 
        RowBox[{"q", "^", 
         RowBox[{"(", 
          RowBox[{"-", "1"}], ")"}]}]}], ")"}], "^", "2"}], "*", "inv31mir"}],
     "-", 
    RowBox[{
     RowBox[{"\[Lambda]", "^", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "5"}], "/", "2"}], ")"}]}], "*", 
     RowBox[{"(", 
      RowBox[{"q", "-", 
       RowBox[{"1", "/", "q"}]}], ")"}], "*", "inv31mir", "*", "invU"}], "+", 
    
    RowBox[{
     RowBox[{"\[Lambda]", "^", 
      RowBox[{"(", 
       RowBox[{"-", "2"}], ")"}]}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"q", "-", 
        RowBox[{"1", "/", "q"}]}], ")"}], "^", "2"}], "*", "inv31mir"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"invSkein358", " ", "=", " ", 
   RowBox[{
    RowBox[{"\[Lambda]", "*", "invL1"}], " ", "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"q", "-", 
       RowBox[{"1", "/", "q"}]}], ")"}], "*", 
     RowBox[{"\[Lambda]", "^", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "3"}], "/", "2"}], ")"}]}], "*", "inv62mir", "*", 
     "invU"}], "-", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"q", "-", 
        RowBox[{"1", "/", "q"}]}], ")"}], "^", "2"}], "*", 
     RowBox[{"\[Lambda]", "^", 
      RowBox[{"(", 
       RowBox[{"-", "1"}], ")"}]}], "*", "inv62mir"}], "-", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"q", "-", 
        RowBox[{"1", "/", "q"}]}], ")"}], "^", "2"}], "*", "inv31mir"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"ReplaceAll", "[", 
    RowBox[{"invSkein358", ",", 
     RowBox[{"F", "\[Rule]", "1"}]}], "]"}], "-", 
   RowBox[{"ReplaceAll", "[", 
    RowBox[{"inv358", ",", 
     RowBox[{"F", "\[Rule]", "1"}]}], "]"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"invSkein358", "-", "inv358"}], ",", 
   RowBox[{"\[Lambda]", ">", "0"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.640275381605411*^9, 3.640275391230805*^9}, {
  3.640275484572497*^9, 3.640275549681552*^9}, {3.640275582631446*^9, 
  3.64027570350986*^9}, {3.640275790511511*^9, 3.6402757906937437`*^9}, {
  3.640275833517685*^9, 3.640275840059037*^9}, {3.6402759572468023`*^9, 
  3.6402759776467533`*^9}, {3.640276570994379*^9, 3.640276609291417*^9}, {
  3.640276639738275*^9, 3.6402766501877728`*^9}, {3.640276704742672*^9, 
  3.640276711127344*^9}, {3.64027725790104*^9, 3.640277258397854*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.640275392063397*^9, {3.6402757015458717`*^9, 3.6402757043101063`*^9}, 
   3.640275790974246*^9, {3.640275838103785*^9, 3.640275840419199*^9}, 
   3.640275892109054*^9, 3.640275959928672*^9, {3.640276006143662*^9, 
   3.6402760112282963`*^9}, 3.640276535119103*^9, {3.640276577637104*^9, 
   3.640276650619499*^9}, {3.6402767001840973`*^9, 3.64027671140984*^9}, 
   3.640461429570017*^9, 3.640842092454171*^9, 3.6408541717593803`*^9, 
   3.6408573099337482`*^9, {3.640857367196973*^9, 3.640857393966385*^9}, 
   3.640857449589513*^9, 3.640857595885682*^9, 3.6408579932339478`*^9, {
   3.640860548901572*^9, 3.640860567974718*^9}, 3.6408607067657433`*^9, 
   3.640863011129696*^9, 3.641013247746149*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.640275392063397*^9, {3.6402757015458717`*^9, 3.6402757043101063`*^9}, 
   3.640275790974246*^9, {3.640275838103785*^9, 3.640275840419199*^9}, 
   3.640275892109054*^9, 3.640275959928672*^9, {3.640276006143662*^9, 
   3.6402760112282963`*^9}, 3.640276535119103*^9, {3.640276577637104*^9, 
   3.640276650619499*^9}, {3.6402767001840973`*^9, 3.64027671140984*^9}, 
   3.640461429570017*^9, 3.640842092454171*^9, 3.6408541717593803`*^9, 
   3.6408573099337482`*^9, {3.640857367196973*^9, 3.640857393966385*^9}, 
   3.640857449589513*^9, 3.640857595885682*^9, 3.6408579932339478`*^9, {
   3.640860548901572*^9, 3.640860567974718*^9}, 3.6408607067657433`*^9, 
   3.640863011129696*^9, 3.641013247751914*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"invL4", " ", "=", " ", 
   RowBox[{
    RowBox[{"invU", "*", "invU"}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"q", "-", 
       RowBox[{"1", "/", "q"}]}], ")"}], "*", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"\[Lambda]", "^", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "/", "2"}], ")"}]}], "-", 
       RowBox[{"\[Lambda]", "^", 
        RowBox[{"(", 
         RowBox[{"1", "/", "2"}], ")"}]}]}], ")"}], "*", "invU"}], "-", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"q", "-", 
       RowBox[{"1", "/", "q"}]}], ")"}], "^", "2"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"invL2", " ", "=", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Lambda]", "^", 
      RowBox[{"(", 
       RowBox[{"-", "2"}], ")"}]}], "*", "invL4"}], "-", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"q", "-", 
       RowBox[{"1", "/", "q"}]}], ")"}], "*", 
     RowBox[{"\[Lambda]", "^", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "3"}], "/", "2"}], ")"}]}], "*", "invU"}], "-", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"q", "-", 
       RowBox[{"1", "/", "q"}]}], ")"}], "*", 
     RowBox[{"\[Lambda]", "^", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "/", "2"}], ")"}]}], "*", "inv31mir", "*", 
     "invU"}], "+", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"q", "-", 
        RowBox[{"1", "/", "q"}]}], ")"}], "^", "2"}], "*", "inv31mir"}], "-", 
    
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"q", "-", 
        RowBox[{"1", "/", "q"}]}], ")"}], "^", "2"}], "*", "inv52mir"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"invL3", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Lambda]", "^", 
      RowBox[{"(", 
       RowBox[{"-", "3"}], ")"}]}], "*", "inv31", "*", "invU"}], "-", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"q", "-", 
       RowBox[{"1", "/", "q"}]}], ")"}], "*", 
     RowBox[{"\[Lambda]", "^", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "5"}], "/", "2"}], ")"}]}], "*", "inv31"}], "-", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"q", "-", 
       RowBox[{"1", "/", "q"}]}], ")"}], "*", 
     RowBox[{"\[Lambda]", "^", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "3"}], "/", "2"}], ")"}]}]}], "-", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"q", "-", 
       RowBox[{"q", "^", 
        RowBox[{"(", 
         RowBox[{"-", "1"}], ")"}]}]}], ")"}], "*", 
     RowBox[{"\[Lambda]", "^", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "/", "2"}], ")"}]}], "*", "inv820"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"invSkein418", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Lambda]", "^", 
      RowBox[{"(", 
       RowBox[{"-", "1"}], ")"}]}], "*", "invL2"}], "-", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"q", "-", 
       RowBox[{"1", "/", "q"}]}], ")"}], "*", 
     RowBox[{"\[Lambda]", "^", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "/", "2"}], ")"}]}], "*", "invL3"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"ReplaceAll", "[", 
    RowBox[{"invSkein418", ",", 
     RowBox[{"F", "\[Rule]", "1"}]}], "]"}], "-", 
   RowBox[{"ReplaceAll", "[", 
    RowBox[{"inv418", ",", 
     RowBox[{"F", "\[Rule]", "1"}]}], "]"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", 
  RowBox[{"invSkein418", "-", "inv418"}], "]"}]}], "Input",
 CellChangeTimes->{{3.6402779728535748`*^9, 3.6402780570216*^9}, {
   3.6402781757503033`*^9, 3.640278292341717*^9}, {3.640857333898385*^9, 
   3.6408573339922028`*^9}, 3.640860207691505*^9, {3.640863018538271*^9, 
   3.640863018829907*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.64027540607653*^9, {3.6402782864991093`*^9, 3.6402782926918716`*^9}, 
   3.640461431034173*^9, 3.640842094308282*^9, 3.6408541718159533`*^9, 
   3.640857311051223*^9, {3.640857343305579*^9, 3.640857393997212*^9}, 
   3.640857449668198*^9, 3.64085759592008*^9, 3.640857993312484*^9, 
   3.640860209805463*^9, {3.6408605495651693`*^9, 3.6408605681272373`*^9}, 
   3.6408607083712473`*^9, {3.640863012233171*^9, 3.64086303131199*^9}, 
   3.641013247853436*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.64027540607653*^9, {3.6402782864991093`*^9, 3.6402782926918716`*^9}, 
   3.640461431034173*^9, 3.640842094308282*^9, 3.6408541718159533`*^9, 
   3.640857311051223*^9, {3.640857343305579*^9, 3.640857393997212*^9}, 
   3.640857449668198*^9, 3.64085759592008*^9, 3.640857993312484*^9, 
   3.640860209805463*^9, {3.6408605495651693`*^9, 3.6408605681272373`*^9}, 
   3.6408607083712473`*^9, {3.640863012233171*^9, 3.64086303131199*^9}, 
   3.641013247859438*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"diffSkein", " ", "=", " ", 
  RowBox[{"Factor", "[", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"invSkein418", "-", "invSkein358"}], ",", 
     RowBox[{"\[Lambda]", ">", "0"}]}], "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", 
  RowBox[{"diffSkein", "  ", "-", " ", 
   RowBox[{"diffs", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.639822216463093*^9, 3.6398222316891336`*^9}, {
  3.639822268831192*^9, 3.639822314564907*^9}, {3.639822346629447*^9, 
  3.6398223502664433`*^9}, {3.6398223874640017`*^9, 3.639822387612842*^9}, {
  3.639822433504614*^9, 3.639822433638156*^9}, {3.6398224812133408`*^9, 
  3.639822481356192*^9}, {3.639822542509516*^9, 3.639822572162076*^9}, {
  3.639823458053596*^9, 3.639823500443412*^9}, {3.6402752736940107`*^9, 
  3.640275287547607*^9}, {3.64028430122115*^9, 3.6402843369697323`*^9}, {
  3.640284515142125*^9, 3.640284518243863*^9}, {3.640285488903678*^9, 
  3.640285545658203*^9}, {3.6404613974345818`*^9, 3.640461442270137*^9}, {
  3.6408421024488087`*^9, 3.640842123250873*^9}, {3.640842159267848*^9, 
  3.6408421676995087`*^9}}],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "F"}], ")"}], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "q"}], ")"}], "2"], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"1", "+", "q"}], ")"}], "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     SuperscriptBox["q", "2"], "-", "\[Lambda]"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Lambda]"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{
      SuperscriptBox["q", "2"], " ", "\[Lambda]"}]}], ")"}]}], 
  RowBox[{"F", " ", 
   SuperscriptBox["q", "4"], " ", 
   SuperscriptBox["\[Lambda]", "4"]}]]], "Output",
 CellChangeTimes->{{3.64027527051507*^9, 3.640275287853333*^9}, 
   3.640284349180175*^9, 3.640284519773696*^9, {3.640285497764183*^9, 
   3.640285545923506*^9}, {3.6404614223472033`*^9, 3.6404614427969627`*^9}, {
   3.6408420961350603`*^9, 3.640842123633423*^9}, 3.6408421690232353`*^9, 
   3.6408541719064283`*^9, {3.640857312445491*^9, 3.640857314435289*^9}, {
   3.640857346864962*^9, 3.640857394072172*^9}, 3.640857449746855*^9, 
   3.640857596005476*^9, 3.640857993359223*^9, 3.640860214025525*^9, {
   3.640860549891007*^9, 3.6408605682331038`*^9}, 3.640860710139406*^9, 
   3.640863032612932*^9, 3.641013248138402*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.64027527051507*^9, 3.640275287853333*^9}, 
   3.640284349180175*^9, 3.640284519773696*^9, {3.640285497764183*^9, 
   3.640285545923506*^9}, {3.6404614223472033`*^9, 3.6404614427969627`*^9}, {
   3.6408420961350603`*^9, 3.640842123633423*^9}, 3.6408421690232353`*^9, 
   3.6408541719064283`*^9, {3.640857312445491*^9, 3.640857314435289*^9}, {
   3.640857346864962*^9, 3.640857394072172*^9}, 3.640857449746855*^9, 
   3.640857596005476*^9, 3.640857993359223*^9, 3.640860214025525*^9, {
   3.640860549891007*^9, 3.6408605682331038`*^9}, 3.640860710139406*^9, 
   3.640863032612932*^9, 3.64101324814184*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"invSkein358Expanded", ":=", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Lambda]", "^", 
         RowBox[{"(", 
          RowBox[{"-", "2"}], ")"}]}], "*", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Lambda]"}], ")"}], "/", "F"}]}], " ", "-", " ", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"q", "-", 
           RowBox[{"q", "^", 
            RowBox[{"(", 
             RowBox[{"-", "1"}], ")"}]}]}], ")"}], "^", "2"}], "*", 
        RowBox[{"\[Lambda]", "^", 
         RowBox[{"(", 
          RowBox[{"-", "1"}], ")"}]}]}]}], ")"}], "*", "inv62mir"}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"q", "-", 
           RowBox[{"q", "^", 
            RowBox[{"(", 
             RowBox[{"-", "1"}], ")"}]}]}], ")"}], "^", "2"}], "/", 
        "\[Lambda]"}], "-", 
       RowBox[{
        RowBox[{"\[Lambda]", "^", 
         RowBox[{"(", 
          RowBox[{"-", "2"}], ")"}]}], "*", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Lambda]"}], ")"}], "/", "F"}]}]}], ")"}], "*", 
     "inv31mir"}], "+", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Lambda]"}], ")"}], "^", "2"}], "/", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"q", "-", 
          RowBox[{"q", "^", 
           RowBox[{"(", 
            RowBox[{"-", "1"}], ")"}]}]}], ")"}], "^", "2"}], "*", 
       RowBox[{"\[Lambda]", "^", "4"}], "*", 
       RowBox[{"F", "^", "2"}]}], ")"}]}], "-", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "-", "\[Lambda]"}], ")"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", "*", 
         RowBox[{"\[Lambda]", "^", 
          RowBox[{"(", 
           RowBox[{"-", "3"}], ")"}]}]}], "+", 
        RowBox[{"\[Lambda]", "^", 
         RowBox[{"(", 
          RowBox[{"-", "2"}], ")"}]}]}], ")"}], "/", 
      RowBox[{"(", "F", ")"}]}]}], "+", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"q", "-", 
        RowBox[{"q", "^", 
         RowBox[{"(", 
          RowBox[{"-", "1"}], ")"}]}]}], ")"}], "^", "2"}], "*", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"\[Lambda]", "^", 
        RowBox[{"(", 
         RowBox[{"-", "2"}], ")"}]}], "+", 
       RowBox[{"\[Lambda]", "^", 
        RowBox[{"(", 
         RowBox[{"-", "1"}], ")"}]}]}], ")"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"invSkein358Expanded", "-", "invSkein358"}], ",", 
   RowBox[{"\[Lambda]", ">", "0"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.640854182102957*^9, 3.640854186058585*^9}, {
  3.64085449398246*^9, 3.640854699257286*^9}, {3.640854731715336*^9, 
  3.6408547436439543`*^9}, {3.640855372631585*^9, 3.640855372846184*^9}, {
  3.641013256141296*^9, 3.641013278866775*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.641013279351407*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"invSkein418Expanded", ":=", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Lambda]", "^", 
      RowBox[{"(", 
       RowBox[{"-", "3"}], ")"}]}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Lambda]"}], ")"}], "/", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"q", "-", 
            RowBox[{"q", "^", 
             RowBox[{"(", 
              RowBox[{"-", "1"}], ")"}]}]}], ")"}], "*", 
          RowBox[{"Sqrt", "[", "\[Lambda]", "]"}], "*", "F"}], ")"}]}], ")"}],
       "^", "2"}]}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"q", "-", 
       RowBox[{"q", "^", 
        RowBox[{"(", 
         RowBox[{"-", "1"}], ")"}]}]}], ")"}], "*", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"\[Lambda]", "^", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "7"}], "/", "2"}], ")"}]}], "-", 
       RowBox[{"2", "*", 
        RowBox[{"\[Lambda]", "^", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "5"}], "/", "2"}], ")"}]}]}]}], ")"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Lambda]"}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"q", "-", 
          RowBox[{"q", "^", 
           RowBox[{"(", 
            RowBox[{"-", "1"}], ")"}]}]}], ")"}], "*", 
        RowBox[{"Sqrt", "[", "\[Lambda]", "]"}], "*", "F"}], ")"}]}]}], " ", 
    "-", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"q", "-", 
        RowBox[{"q", "^", 
         RowBox[{"(", 
          RowBox[{"-", "1"}], ")"}]}]}], ")"}], "^", "2"}], "*", 
     RowBox[{"\[Lambda]", "^", 
      RowBox[{"(", 
       RowBox[{"-", "3"}], ")"}]}]}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          RowBox[{"(", 
           RowBox[{"1", "-", "\[Lambda]"}], ")"}]}], "/", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"\[Lambda]", "^", "2"}], "*", "F"}], ")"}]}], "+", 
        RowBox[{
         RowBox[{"\[Lambda]", "^", 
          RowBox[{"(", 
           RowBox[{"-", "1"}], ")"}]}], "*", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"q", "-", 
            RowBox[{"q", "^", 
             RowBox[{"(", 
              RowBox[{"-", "1"}], ")"}]}]}], ")"}], "^", "2"}]}]}], ")"}], 
      ")"}], "*", "inv31mir"}], "-", 
    RowBox[{
     RowBox[{"\[Lambda]", "^", 
      RowBox[{"(", 
       RowBox[{"-", "1"}], ")"}]}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"q", "-", 
        RowBox[{"q", "^", 
         RowBox[{"(", 
          RowBox[{"-", "1"}], ")"}]}]}], ")"}], "^", "2"}], "*", "inv52mir"}],
     "-", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Lambda]"}], ")"}], "/", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"\[Lambda]", "^", "4"}], "*", "F"}], ")"}]}], "-", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"q", "-", 
           RowBox[{"q", "^", 
            RowBox[{"(", 
             RowBox[{"-", "1"}], ")"}]}]}], ")"}], "^", "2"}], "/", 
        RowBox[{"\[Lambda]", "^", "3"}]}]}], ")"}], "*", "inv31"}], "+", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"q", "-", 
        RowBox[{"q", "^", 
         RowBox[{"(", 
          RowBox[{"-", "1"}], ")"}]}]}], ")"}], "^", "2"}], "/", 
     RowBox[{"\[Lambda]", "^", "2"}]}], "+", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"q", "-", 
         RowBox[{"q", "^", 
          RowBox[{"(", 
           RowBox[{"-", "1"}], ")"}]}]}], ")"}], "^", "2"}], "/", 
      "\[Lambda]"}], "*", "inv820"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"invSkein418Expanded", "-", "invSkein418"}], ",", 
   RowBox[{"\[Lambda]", ">", "0"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.640862590482151*^9, 3.640862595107643*^9}, {
  3.640862773049199*^9, 3.640862967351245*^9}, {3.640863105703599*^9, 
  3.640863107711501*^9}, {3.640863297686795*^9, 3.640863298075171*^9}, {
  3.64101326214503*^9, 3.641013284356188*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.640862967957037*^9, 3.64086303984089*^9, 
  3.640863108175523*^9, 3.640863298505309*^9, 3.6408926630550547`*^9, 
  3.6410132485123663`*^9, 3.641013285195966*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"invSkein418", "-", "invSkein358"}], "]"}]], "Input",
 CellChangeTimes->{{3.6408574252824907`*^9, 3.640857431500139*^9}}],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "F"}], ")"}], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      SuperscriptBox["q", "2"]}], ")"}], "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Lambda]"}], ")"}], " ", "\[Lambda]"}], 
     "+", 
     RowBox[{
      SuperscriptBox["q", "4"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Lambda]"}], ")"}], " ", "\[Lambda]"}], 
     "-", 
     RowBox[{
      SuperscriptBox["q", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Lambda]", "-", 
        SuperscriptBox["\[Lambda]", "2"], "+", 
        SuperscriptBox["\[Lambda]", "3"]}], ")"}]}]}], ")"}]}], 
  RowBox[{"F", " ", 
   SuperscriptBox["q", "4"], " ", 
   SuperscriptBox["\[Lambda]", "4"]}]]], "Output",
 CellChangeTimes->{{3.640857431798685*^9, 3.6408574499467287`*^9}, 
   3.640857596205626*^9, 3.640857993593911*^9, 3.640860220475004*^9, {
   3.640860550331566*^9, 3.64086056842562*^9}, 3.6408607160584183`*^9, 
   3.6410132487131557`*^9, 3.641013289191639*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"ReplaceAll", "[", 
   RowBox[{
    RowBox[{"invSkein418", "-", "invSkein358"}], ",", 
    RowBox[{"F", "\[Rule]", "1"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.640858985439691*^9, 3.640858993763337*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.640858994064571*^9, 3.64086022224903*^9, {3.640860550371703*^9, 
   3.640860568458745*^9}, 3.640860719367481*^9, 3.6410132488029137`*^9, 
   3.6410132983819313`*^9}]
}, Open  ]]
},
WindowSize->{733, 823},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"10.1 for Linux x86 (64-bit) (March 23, 2015)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 888, 24, 99, "Input"],
Cell[1470, 48, 2465, 34, 138, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3972, 87, 1733, 39, 143, "Input"],
Cell[5708, 128, 728, 12, 32, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6473, 145, 609, 17, 32, "Input"],
Cell[7085, 164, 1111, 22, 77, "Output"]
}, Open  ]],
Cell[8211, 189, 721, 21, 55, "Input"],
Cell[CellGroupData[{
Cell[8957, 214, 630, 18, 55, "Input"],
Cell[CellGroupData[{
Cell[9612, 236, 1340, 39, 49, "Print"],
Cell[10955, 277, 1337, 39, 49, "Print"],
Cell[12295, 318, 1288, 38, 49, "Print"],
Cell[13586, 358, 1107, 32, 49, "Print"],
Cell[14696, 392, 1152, 33, 49, "Print"],
Cell[15851, 427, 837, 23, 49, "Print"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[16737, 456, 307, 7, 32, "Input"],
Cell[17047, 465, 5539, 178, 318, "Output"]
}, Open  ]],
Cell[22601, 646, 439, 13, 55, "Input"],
Cell[23043, 661, 4115, 127, 209, "Input"],
Cell[CellGroupData[{
Cell[27183, 792, 3772, 115, 209, "Input"],
Cell[30958, 909, 754, 11, 32, "Output"],
Cell[31715, 922, 754, 11, 32, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[32506, 938, 3741, 122, 231, "Input"],
Cell[36250, 1062, 510, 8, 32, "Output"],
Cell[36763, 1072, 510, 8, 32, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[37310, 1085, 1162, 21, 55, "Input"],
Cell[38475, 1108, 1367, 35, 58, "Output"],
Cell[39845, 1145, 654, 9, 32, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[40536, 1159, 2987, 94, 143, "Input"],
Cell[43526, 1255, 70, 1, 32, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[43633, 1261, 4225, 135, 209, "Input"],
Cell[47861, 1398, 211, 3, 32, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[48109, 1406, 172, 3, 32, "Input"],
Cell[48284, 1411, 1217, 37, 58, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[49538, 1453, 264, 6, 32, "Input"],
Cell[49805, 1461, 218, 4, 32, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
